Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class AbstractOWLModel

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultKnowledgeBase
          edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel

All Implemented Interfaces:
  edu.stanford.smi.protege.model.KnowledgeBase, edu.stanford.smi.protege.util.Disposable, OWLModel, ProtegeKnowledgeBase, OWLTestManager

Direct Known Subclasses:
  JenaOWLModel, OWLDatabaseModel

    public abstract class AbstractOWLModel

extends edu.stanford.smi.protege.model.DefaultKnowledgeBase
implements OWLModel

Author:
  Holger Knublauch

Field Summary
`static String` | `ANONYMOUS_BASE`
`static String` | `DEFAULT_ANNOTATION_PROPERTY_NAME`
`static String` | `DEFAULT_CLASS_NAME`
`static String` | `DEFAULT_DATATYPE_PROPERTY_NAME`
`static String` | `DEFAULT_INDIVIDUAL_NAME`
`static String` | `DEFAULT_OBJECT_PROPERTY_NAME`
`static String` | `DEFAULT_PROPERTY_NAME`
`static String` | `DEFAULT_TODO_PREFIX`
`static String[]` | `DEFAULT_USED_LANGUAGES`
`static String` | `OWL_MODEL_EXPAND_SHORT_NAME_IN_METHODS`
`static String` | `OWL_MODEL_IMPORT_NAMESPACES`
`static String` | `OWL_MODEL_INIT_DEFAULTS_AT_CREATION` If the value of this property key is true in protege.properties, the default mechanism of the underlying frame model will be used at class, property and individual creation time.
`static String` | `UNIQUE_SESSION_ID`

Fields inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`SERVER_PROCESS_USER`

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`MAXIMUM_CARDINALITY_UNBOUNDED, UNLIMITED_MATCHES`

Constructor Summary
`AbstractOWLModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)`

Method Summary
`void` | `addClassListener(ClassListener listener)` Adds a ClassListener to receive events about any class in this OWLModel.
`void` | `addModelListener(ModelListener listener)` Adds a ModelListener to receive notifications when resources have been created, renamed or deleted.
`void` | `addOWLTest(OWLTest test)`
`void` | `addParserError(edu.stanford.smi.protege.util.MessageError error)`
`void` | `addPropertyListener(PropertyListener listener)` Adds a PropertyListener to receive events about any property in this OWLModel.
`void` | `addPropertyValueListener(PropertyValueListener listener)` Adds a PropertyValueListener to receive events about any property value change in this OWLModel.
`void` | `addResourceListener(ResourceListener listener)` Adds a ResourceListener to receive events about any RDFResource in this OWLModel.
`protected void` | `adjustForClient()`
`RDFObject` | `asRDFObject(Object object)` Gets an `RDFObject` for a given value.
`RDFSLiteral` | `asRDFSLiteral(Object value)` Gets an RDFSLiteral for a given value.
`List` | `asRDFSLiterals(Collection values)`
`protected void` | `attachDefaultLanguageListener()`
`static List` | `convertRDFSLiteralsToInternalFormat(Collection values)`
`static Object` | `convertRDFSLiteralToInternalFormat(Object o)`
`void` | `copyFacetValuesIntoNamedClses()` Copies all facet values of restriction superclasses into their named subclasses and thus makes sure that both values are synchronized.
`void` | `copyFacetValuesIntoProperties()`
`OWLDatatypeProperty` | `createAnnotationOWLDatatypeProperty(String name)`
`OWLObjectProperty` | `createAnnotationOWLObjectProperty(String name)`
`RDFProperty` | `createAnnotationProperty(String name)` Creates a simple owl:AnnotationProperty.
`edu.stanford.smi.protege.model.Cls` | `createCls(edu.stanford.smi.protege.model.FrameID id, Collection directSuperclasses, Collection directTypes, boolean loadDefaults)`
`protected edu.stanford.smi.protege.event.FrameListener` | `createDefaultLanguageListener()`
`protected SWRLJavaFactory` | `createFrameFactory()`
`protected edu.stanford.smi.protege.model.framestore.FrameStoreManager` | `createFrameStoreManager()`
`edu.stanford.smi.protege.model.Instance` | `createInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, boolean initializeDefaults)`
`edu.stanford.smi.protege.model.Instance` | `createInstance(String name, edu.stanford.smi.protege.model.Cls directType)`
`edu.stanford.smi.protege.model.Instance` | `createInstance(String name, Collection directTypes)`
`String` | `createNewResourceName(String partialLocalName)` Creates a unique name from a given local name prefix.
`OWLAllDifferent` | `createOWLAllDifferent()`
`OWLAllValuesFrom` | `createOWLAllValuesFrom()`
`OWLAllValuesFrom` | `createOWLAllValuesFrom(RDFProperty property, RDFResource filler)`
`OWLAllValuesFrom` | `createOWLAllValuesFrom(RDFProperty property, RDFSLiteral[] oneOfValues)`
`OWLCardinality` | `createOWLCardinality()`
`OWLCardinality` | `createOWLCardinality(RDFProperty property, int value)`
`OWLCardinality` | `createOWLCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLComplementClass` | `createOWLComplementClass()`
`OWLComplementClass` | `createOWLComplementClass(RDFSClass complement)`
`OWLDataRange` | `createOWLDataRange()` Creates an empty owl:DataRange.
`OWLDataRange` | `createOWLDataRange(RDFSLiteral[] values)` Creates a new owl:DataRange consisting of a given set of values.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name)` Creates a new OWLDatatypeProperty (with default settings, e.g.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, OWLNamedClass metaCls)` Creates a new OWLDatatypeProperty with a given rdf:type as metaclass.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, RDFSDatatype datatype)` Creates a new OWLDatatypeProperty with a given RDFSDatatype as range.
`OWLDatatypeProperty` | `createOWLDatatypeProperty(String name, RDFSLiteral[] dataRangeLiterals)`
`OWLEnumeratedClass` | `createOWLEnumeratedClass()`
`OWLEnumeratedClass` | `createOWLEnumeratedClass(Collection instances)`
`OWLHasValue` | `createOWLHasValue()`
`OWLHasValue` | `createOWLHasValue(RDFProperty property, Object value)` Creates a new OWLHasValue for a given Slot.
`OWLIntersectionClass` | `createOWLIntersectionClass()`
`OWLIntersectionClass` | `createOWLIntersectionClass(Collection clses)`
`OWLMaxCardinality` | `createOWLMaxCardinality()`
`OWLMaxCardinality` | `createOWLMaxCardinality(RDFProperty property, int value)`
`OWLMaxCardinality` | `createOWLMaxCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLMinCardinality` | `createOWLMinCardinality()`
`OWLMinCardinality` | `createOWLMinCardinality(RDFProperty property, int value)`
`OWLMinCardinality` | `createOWLMinCardinality(RDFProperty property, int value, RDFSClass qualifier)`
`OWLNamedClass` | `createOWLNamedClass(String name)`
`OWLNamedClass` | `createOWLNamedClass(String name, boolean loadDefaults)`
`OWLNamedClass` | `createOWLNamedClass(String name, OWLNamedClass metaCls)` Creates a new named OWL class with a given metaclass, which must be a subclass of owl:Class.
`OWLNamedClass` | `createOWLNamedSubclass(String name, OWLNamedClass superclass)`
`OWLObjectProperty` | `createOWLObjectProperty(String name)` Creates a new OWLObjectProperty.
`OWLObjectProperty` | `createOWLObjectProperty(String name, Collection allowedClasses)`
`OWLObjectProperty` | `createOWLObjectProperty(String name, OWLNamedClass metaCls)`
`OWLOntology` | `createOWLOntology(String uri)` Creates a new OWLOntology for a given prefix.
`OWLOntology` | `createOWLOntology(String name, String uri)` Deprecated.
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom()`
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom(RDFProperty property, RDFResource filler)`
`OWLSomeValuesFrom` | `createOWLSomeValuesFrom(RDFProperty property, RDFSLiteral[] oneOfValues)`
`OWLUnionClass` | `createOWLUnionClass()`
`OWLUnionClass` | `createOWLUnionClass(Collection clses)`
`RDFExternalResource` | `createRDFExternalResource(String uri)` Deprecated.
`RDFList` | `createRDFList()` Creates a new empty rdf:List
`RDFList` | `createRDFList(Iterator values)` Creates a new rdf:List.
`RDFProperty` | `createRDFProperty(String name)`
`RDFSClass` | `createRDFSClassFromExpression(String parsableExpression)` Gets or creates an RDFSClass based on a parsable expression.
`RDFSDatatype` | `createRDFSDatatype(String name)`
`RDFSLiteral` | `createRDFSLiteral(Object value)` Creates a new RDFSLiteral with a default datatype derived from the value.
`RDFSLiteral` | `createRDFSLiteral(String lexicalValue, RDFSDatatype datatype)` Creates a new RDFSLiteral with a given datatype.
`RDFSLiteral` | `createRDFSLiteral(String value, String language)` Creates a new string-typed literal with a given language.
`Object` | `createRDFSLiteralOrString(String value, String language)` Creates a new string-typed literal with a given language.
`RDFSNamedClass` | `createRDFSNamedClass(String name)`
`RDFSNamedClass` | `createRDFSNamedClass(String name, boolean loadDefaults)`
`RDFSNamedClass` | `createRDFSNamedClass(String name, Collection parents, RDFSClass rdfType)` Creates an RDFSNamedClass (or perhaps an OWLNamedClass) with given name, superclasses and rdf:type.
`RDFSNamedClass` | `createRDFSNamedSubclass(String name, RDFSNamedClass superclass)` Creates a new named OWL class which has exactly a given superclass.
`RDFUntypedResource` | `createRDFUntypedResource(String uri)` Creates an untyped rdf:Resource for a given URI.
`RDFSNamedClass` | `createSubclass(String name, Collection superclasses)` Creates a subclass of a number of superclasses.
`RDFSNamedClass` | `createSubclass(String name, RDFSNamedClass superclass)` Creates a subclass of a superclass.
`RDFProperty` | `createSubproperty(String name, RDFProperty superProperty)` Creates a new property as a subproperty of an existing property.
`protected SWRLSystemFrames` | `createSystemFrames()`
`Triple` | `createTriple(RDFResource subject, RDFProperty predicate, Object object)` Creates a new Triple.
`String` | `createUniqueNewFrameName(String baseName)`
`static void` | `deleteAllFrames(OWLModel owlModel)` Deletes all Frames that are not system classes (including OWL system classes).
`void` | `deleteCls(edu.stanford.smi.protege.model.Cls cls)`
`protected void` | `detachDefaultLanguageListener()`
`void` | `dispose()`
`boolean` | `endTransaction()`
`QueryResults` | `executeSPARQLQuery(String partialQueryText)` Executes a SPARQL query on this OWLModel.
`Set<String>` | `getAllImports()` Gets all (transitive) imports in this OWLModel.
`OWLNamedClass` | `getAnonymousClassMetaCls()`
`RDFSNamedClass` | `getAnonymousRootCls()`
`String` | `getBrowserText(edu.stanford.smi.protege.model.Instance instance)`
`edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine` | `getCacheMachine()`
`Collection` | `getChangedInferredClasses()` Gets all named classes where the classification status is OWLNames.CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED, i.e.
`RDFSNamedClass` | `getCommonSuperclass(Collection<RDFSNamedClass> classes)` Chooses a most specific common named superclass of a given collection of named classes.
`Set<RDFSNamedClass>` | `getCommonSuperclasses(Collection<RDFSNamedClass> classes)` Gets the most specific common named superclasses of a given collection of named classes.
`Collection` | `getDefaultAnnotationPropertiesInView()`
`String` | `getDefaultLanguage()` Gets the default language specified by the user through an annotation property at owl:Ontology.
`RDFProperty` | `getDefaultLanguageProperty()`
`OWLOntology` | `getDefaultOWLOntology()`
`protected String` | `getDisplaySlotNotSetString(edu.stanford.smi.protege.model.Instance instance)`
`protected String` | `getDisplaySlotPatternValueNotSetString(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.BrowserSlotPattern slotPattern)`
`Collection` | `getDomainlessProperties()` Gets all properties that have owl:Thing as their domain.
`Set<RDFSDatatype>` | `getFloatDatatypes()` Gets all float XML Schema datatypes, including xsd:float etc.
`String` | `getFrameNameForURI(String uri, boolean generatePrefix)` Deprecated.
`OWLFrameStoreManager` | `getFrameStoreManager()`
`GlobalParserCache` | `getGlobalParserCache()`
`Collection` | `getInconsistentClasses()` Gets all classes which have been marked as inconsistent.
`Set<RDFSDatatype>` | `getIntegerDatatypes()` Gets all integer XML Schema datatypes, including xsd:int etc.
`com.hp.hpl.jena.rdf.model.Model` | `getJenaModel()` Gets a (read-only) Jena Model serving as a live view upon the Protege TripleStores.
`String` | `getLocalNameForResourceName(String frameName)` Deprecated. Use `getLocalNameForURI(String)`
`String` | `getLocalNameForURI(String uri)` Gets the local part of an URI, e.g.
`Collection` | `getMatchingResources(RDFProperty property, String matchString, int maxMatches)` Gets all RDFResources that have a matching value for a given property.
`String` | `getNamespaceForResourceName(String resourceName)` Deprecated. Use `getNamespaceForURI(String)`
`String` | `getNamespaceForURI(String uri)` Gets the namespace part of a given URI.
`NamespaceManager` | `getNamespaceManager()` Gets the NamespaceManager used by this knowledge base.
`String` | `getNextAnonymousResourceName()` Gets the next name that can be used to create an "anonymous" instance.
`static String` | `getNextAnonymousResourceNameStatic()`
`RDFSNamedClass` | `getOWLAllDifferentClass()`
`RDFSNamedClass` | `getOWLAllDifferentClassCls()`
`Collection` | `getOWLAllDifferents()` Gets a collection of all OWLAllDifferents in the knowlegde base.
`RDFSNamedClass` | `getOWLAllValuesFromClass()`
`RDFProperty` | `getOWLAllValuesFromProperty()`
`Collection<RDFProperty>` | `getOWLAnnotationProperties()` Gets all annotation properties.
`OWLNamedClass` | `getOWLAnnotationPropertyClass()`
`RDFProperty` | `getOWLBackwardCompatibleWithProperty()`
`RDFSNamedClass` | `getOWLCardinalityClass()`
`RDFProperty` | `getOWLCardinalityProperty()`
`OWLClassDisplay` | `getOWLClassDisplay()` Gets the currently used renderer for classes into display strings.
`Collection` | `getOWLClasses()` Deprecated. use getRDFSClasses instead
`RDFSNamedClass` | `getOWLClassMetaCls()`
`OWLClassParser` | `getOWLClassParser()` Gets the OWLClassParser for the current class expression syntax.
`RDFSNamedClass` | `getOWLComplementClassClass()`
`RDFProperty` | `getOWLComplementOfProperty()`
`RDFSNamedClass` | `getOWLDataRangeClass()` Gets the class owl:DataRange, which is used to represent enumerations of datatype values.
`OWLDatatypeProperty` | `getOWLDatatypeProperty(String name)`
`OWLNamedClass` | `getOWLDatatypePropertyClass()` Gets the standard metaclass of all datatype slots/properties.
`OWLNamedClass` | `getOWLDatatypePropertyMetaClassCls()`
`RDFSNamedClass` | `getOWLDeprecatedClassClass()`
`RDFSNamedClass` | `getOWLDeprecatedPropertyClass()`
`RDFProperty` | `getOWLDifferentFromProperty()`
`RDFProperty` | `getOWLDisjointWithProperty()`
`RDFProperty` | `getOWLDistinctMembersProperty()`
`RDFSNamedClass` | `getOWLEnumeratedClassClass()`
`RDFProperty` | `getOWLEquivalentClassProperty()`
`RDFProperty` | `getOWLEquivalentPropertyProperty()`
`OWLFrameStore` | `getOWLFrameStore()` Provides low level access to some internal Protege detail - normally not needed.
`OWLNamedClass` | `getOWLFunctionalPropertyClass()`
`RDFSNamedClass` | `getOWLHasValueClass()`
`RDFProperty` | `getOWLHasValueProperty()`
`RDFProperty` | `getOWLImportsProperty()`
`RDFProperty` | `getOWLIncompatibleWithProperty()`
`OWLIndividual` | `getOWLIndividual(String name)`
`Collection` | `getOWLIndividuals()` Gets those Instances in the ontology that are instances of a OWLNamedClass.
`Collection` | `getOWLIndividuals(boolean onlyVisibleClasses)` Gets those Instances in the ontology that are instances of a OWLNamedClass.
`RDFSNamedClass` | `getOWLIntersectionClassClass()`
`RDFProperty` | `getOWLIntersectionOfProperty()`
`OWLNamedClass` | `getOWLInverseFunctionalPropertyClass()`
`RDFProperty` | `getOWLInverseOfProperty()`
`OWLJavaFactory` | `getOWLJavaFactory()` Gets the OWLJavaFactory that is used to create the Java objects for ontology resources.
`RDFSNamedClass` | `getOWLLogicalClassClass()`
`RDFSNamedClass` | `getOWLMaxCardinalityClass()`
`RDFProperty` | `getOWLMaxCardinalityProperty()`
`RDFSNamedClass` | `getOWLMinCardinalityClass()`
`RDFProperty` | `getOWLMinCardinalityProperty()`
`OWLNamedClass` | `getOWLNamedClass(String name)` A convenience method which includes the typecast after `getCls()`.
`OWLNamedClass` | `getOWLNamedClassClass()` Gets the standard metaclass of all named classes.
`OWLNamedClass` | `getOWLNamedClassMetaClassCls()`
`OWLNamedClass` | `getOWLNothing()` Gets the system class `owl:Nothing`, which represents the empty set for reasoners.
`OWLNamedClass` | `getOWLNothingClass()`
`OWLObjectProperty` | `getOWLObjectProperty(String name)`
`OWLNamedClass` | `getOWLObjectPropertyClass()` Gets the standard metaclass of all object slots/properties.
`OWLNamedClass` | `getOWLObjectPropertyMetaClassCls()`
`RDFProperty` | `getOWLOneOfProperty()` Gets the owl:oneOf property.
`RDFProperty` | `getOWLOnPropertyProperty()`
`Collection` | `getOWLOntologies()` Gets all OWLOntologies in the current model.
`OWLOntology` | `getOWLOntologyByURI(String uri)`
`RDFResource` | `getOWLOntologyByURI(URI uri)` Gets the OWLOntology with a given URI.
`OWLNamedClass` | `getOWLOntologyClass()`
`OWLNamedClass` | `getOWLOntologyCls()`
`RDFProperty` | `getOWLOntologyPrefixesProperty()`
`Collection` | `getOWLOntologyProperties()` Gets the owl:OntologyProperties defined in OWL.
`RDFProperty` | `getOWLPriorVersionProperty()`
`OWLProject` | `getOWLProject()` Gets the associated OWLProject, which can be used to store project-specific settings.
`OWLProperty` | `getOWLProperty(String name)` A convenience method including typecast.
`RDFProperty` | `getOWLResourceURIProperty()`
`RDFSNamedClass` | `getOWLRestrictionClass()`
`RDFSNamedClass[]` | `getOWLRestrictionMetaclasses()` Gets the metaclasses of the available OWLRestriction kinds.
`Collection` | `getOWLRestrictionsOnProperty(RDFProperty property)` Gets a Collection of all Restrictions that are defined on a given property.
`RDFProperty` | `getOWLSameAsProperty()`
`RDFSNamedClass` | `getOWLSomeValuesFromClass()`
`RDFProperty` | `getOWLSomeValuesFromProperty()`
`RDFSNamedClass` | `getOWLSomeValuesFromRestrictionClass()` Gets the meta class that represents some values from restrictions.
`OWLNamedClass` | `getOWLSymmetricPropertyClass()`
`protected edu.stanford.smi.protege.model.Frame[]` | `getOWLSystemFramesArray()` Gets the array of OWL System frames.
`Collection` | `getOWLSystemResources()` Gets a Collection of all system resources installed by the OWL Plugin.
`OWLTest[]` | `getOWLTests()`
`OWLNamedClass` | `getOWLThingClass()` Gets the root class of the OWL class hierarchy (owl:Thing).
`OWLNamedClass` | `getOWLTransitivePropertyClass()`
`RDFSNamedClass` | `getOWLUnionClassClass()`
`RDFProperty` | `getOWLUnionOfProperty()`
`RDFProperty` | `getOWLValuesFromProperty()` Gets the owl:valuesFrom property (used for qualified cardinality restrictions.
`edu.stanford.smi.protege.model.ValueType` | `getOWLValueType(String uri)` Gets the Protege ValueType that represents a given URI string.
`RDFProperty` | `getOWLVersionInfoProperty()`
`Collection<edu.stanford.smi.protege.util.MessageError>` | `getParserErrors()`
`String` | `getPrefixForResourceName(String name)`
`Collection` | `getPropertyValueLiterals(RDFResource resource, RDFProperty property)`
`PropertyValueValidator` | `getPropertyValueValidator()` Gets the currently used PropertyValueValidator.
`RDFProperty` | `getProtegeAllowedParentProperty()` Gets the property protege:allowedParent (if it exists)
`RDFProperty` | `getProtegeClassificationStatusProperty()` Gets the property that is used internally to store the classification status of a class.
`RDFProperty` | `getProtegeInferredSubclassesProperty()`
`RDFProperty` | `getProtegeInferredSuperclassesProperty()`
`RDFProperty` | `getProtegeInferredTypeProperty()`
`RDFProperty` | `getProtegeReadOnlyProperty()` The Protege readOnly property has a special behavior required by NCI.
`RDFProperty` | `getProtegeSubclassesDisjointProperty()`
`RDFSNamedClass` | `getRDFAltClass()`
`RDFSNamedClass` | `getRDFBagClass()`
`Set<RDFSDatatype>` | `getRDFDatatypes()`
`RDFSNamedClass` | `getRDFExternalClassClass()`
`RDFSNamedClass` | `getRDFExternalPropertyClass()`
`RDFExternalResource` | `getRDFExternalResource(String uri)` Deprecated.
`RDFSNamedClass` | `getRDFExternalResourceClass()`
`RDFProperty` | `getRDFFirstProperty()` Gets the rdf:first property.
`RDFIndividual` | `getRDFIndividual(String name)`
`Collection<RDFIndividual>` | `getRDFIndividuals()` Gets those Instances in the ontology that are instances of an RDFSNamedClass.
`Collection<RDFIndividual>` | `getRDFIndividuals(boolean onlyVisibleClasses)` Gets those Instances in the ontology that are instances of an RDFSNamedClass.
`RDFSNamedClass` | `getRDFListClass()` Gets the rdf:List class.
`RDFSNamedClass` | `getRDFListCls()`
`RDFList` | `getRDFNil()` Gets the placeholder for empty rdf:Lists.
`RDFProperty` | `getRDFObjectProperty()`
`RDFProperty` | `getRDFPredicateProperty()`
`Collection` | `getRDFProperties()` Gets a collection of all RDFProperties (or subclasses thereof).
`RDFProperty` | `getRDFProperty(String name)` A convenience method to access a slot as RDFProperty.
`OWLNamedClass` | `getRDFPropertyClass()` Gets the rdf:Property metaclass.
`RDFResource` | `getRDFResource(String name)` Gets an RDFResource by its name.
`RDFResource` | `getRDFResourceAs(String name, Class javaInterface)` Combines the calls `getRDFResource(name).as(javaInterface)`.
`RDFResource` | `getRDFResourceByBrowserText(String text)` Gets the first resource that has a given browser text.
`RDFResource` | `getRDFResourceByNameOrBrowserText(String text)` Gets the first instance that has a given name or browser text.
`int` | `getRDFResourceCount()` Gets the number of all RDFResources in this model.
`Collection` | `getRDFResources()` Gets a list of all RDFResources in this model.
`static Collection<RDFResource>` | `getRDFResources(edu.stanford.smi.protege.model.KnowledgeBase kb, Collection<? extends edu.stanford.smi.protege.model.Frame> frames)`
`Collection` | `getRDFResourcesWithPropertyValue(RDFProperty property, Object value)` Gets all RDFResources that have a given value for a given property.
`RDFProperty` | `getRDFRestProperty()` Gets the rdf:rest property, which is used to describe the rest of an rdf:List.
`int` | `getRDFSClassCount()` Gets the number of rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.
`Collection` | `getRDFSClasses()` Gets all rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.
`OWLNamedClass` | `getRDFSClassMetaClassCls()`
`OWLDatatypeProperty` | `getRDFSCommentProperty()`
`RDFSNamedClass` | `getRDFSContainerClass()`
`RDFSDatatype` | `getRDFSDatatypeByName(String name)` Gets an XML Schema Datatype using the prefix notation (e.g.
`RDFSDatatype` | `getRDFSDatatypeByURI(String uri)` Gets an XML Schema Datatype by its URI (e.g.
`RDFSNamedClass` | `getRDFSDatatypeClass()`
`RDFSDatatypeFactory` | `getRDFSDatatypeFactory()`
`RDFSDatatype` | `getRDFSDatatypeOfValue(Object valueOrRDFSLiteral)` Gets the RDFSDatatype of a given primitive value, which can be either a standard value (e.g.
`Collection<RDFSDatatype>` | `getRDFSDatatypes()` Gets a Collection of the (named) RDF/XML Schema datatypes.
`RDFProperty` | `getRDFSDomainProperty()` Gets the rdfs:domain property.
`RDFSNamedClass` | `getRDFSeqClass()`
`RDFProperty` | `getRDFSIsDefinedByProperty()`
`RDFProperty` | `getRDFSLabelProperty()`
`RDFSNamedClass` | `getRDFSLiteralClass()` Deprecated. This is based on a wrong premise - there is no such class. Using this method can cause problems.
`RDFProperty` | `getRDFSMemberProperty()`
`RDFSNamedClass` | `getRDFSNamedClass(String name)`
`OWLNamedClass` | `getRDFSNamedClassClass()` Gets the rdfs:Class metaclass
`RDFProperty` | `getRDFSRangeProperty()` Gets the rdfs:range property.
`RDFProperty` | `getRDFSSeeAlsoProperty()`
`RDFProperty` | `getRDFSSubClassOfProperty()`
`RDFProperty` | `getRDFSSubPropertyOf()`
`RDFProperty` | `getRDFSSubPropertyOfProperty()` Gets the property rdfs:subPropertyOf
`RDFSNamedClass` | `getRDFStatementClass()`
`RDFProperty` | `getRDFSubjectProperty()`
`RDFProperty` | `getRDFTypeProperty()` Gets the rdf:type property.
`RDFUntypedResource` | `getRDFUntypedResource(String uri, boolean createOnDemand)` Gets an RDFUntypedResource for a given string.
`RDFSNamedClass` | `getRDFUntypedResourcesClass()` Gets the internal type of all untyped resources.
`RDFProperty` | `getRDFValueProperty()`
`RDFSDatatype` | `getRDFXMLLiteralType()` Gets the resource representing the datatype rdf:XMLLiteral.
`RepositoryManager` | `getRepositoryManager()`
`String` | `getResourceNameForURI(String uri)` Gets the name of a Frame by converting a URI.
`Collection<RDFResource>` | `getResourceNameMatches(String nameExpression, int maxMatches)` Gets all RDFResources that have a matching name (possibly using wildcards).
`Collection` | `getResourcesWithPrefix(String prefix)` Gets all resource in this that have a given prefix.
`Collection` | `getSearchSynonymProperties()` Gets the slots that are used for matching when the user searches for a frame in the search fields.
`RDFProperty[]` | `getSystemAnnotationProperties()` Gets the pre-defined system annotation slots such as rdfs:comment.
`SWRLSystemFrames` | `getSystemFrames()`
`TaskManager` | `getTaskManager()` Gets the `TaskManager` that can be used for executing tasks that take a long time.
`String` | `getTodoAnnotationPrefix()` Gets the prefix used to distinguish "to-do" list items from other values of the to-do list property.
`OWLDatatypeProperty` | `getTodoAnnotationProperty()` Gets the (annotation) slot that is used to represent "to-do" list items in this knowledge base.
`RDFSNamedClass` | `getTopOWLOntologyClass()`
`RDFProperty` | `getTopOWLOntologyURISlot()`
`TripleStoreModel` | `getTripleStoreModel()`
`String` | `getUniqueFrameName(String name)` Generates a unique URI for a Frame given a base URI.
`String` | `getURIForResourceName(String name)`
`String[]` | `getUsedLanguages()` Gets the list of language prefixes defined by the user in the owl:Ontology.
`Collection` | `getUserDefinedOWLDatatypeProperties()` Gets a Collection of all user-defined OWLDatatypeProperties in this knowledge base.
`Collection` | `getUserDefinedOWLNamedClasses()` Gets a Collection of all user-defined named OWL classes in this knowledge base.
`Collection` | `getUserDefinedOWLObjectProperties()` Gets a Collection of all user-defined OWLObjectProperties in this knowledge base.
`Collection` | `getUserDefinedOWLProperties()` Gets a Collection of all user-defined OWLProperties in this knowledge base.
`Collection` | `getUserDefinedRDFIndividuals(boolean onlyVisibleClasses)` Gets all non-system individuals in this OWLModel.
`Collection` | `getUserDefinedRDFProperties()` Gets all user-defined RDF properties in this OWLModel.
`Collection` | `getUserDefinedRDFSNamedClasses()` Gets all user-defined RDFSClses including the OWLNamedClses.
`String` | `getValidNamespaceFrameName(String suggestedName)`
`static String` | `getValidOWLFrameName(AbstractOWLModel kb, String suggestedName)`
`List` | `getValueLiterals(List values)`
`String` | `getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)` The inverse of `getValueType`.
`List` | `getVisibleResources(Iterator iterator)` Gets a list of resources, only containing the visible entries of a given Iterator.
`Collection` | `getVisibleUserDefinedOWLProperties()` Gets a Collection of all user-defined, visible OWLProperties in this knowledge base.
`Collection` | `getVisibleUserDefinedRDFProperties()` Gets all visible, user-defined RDF properties in this knowledge base.
`WriterSettings` | `getWriterSettings()`
`RDFSDatatype` | `getXSDanyURI()` Gets the default datatype for URI values.
`RDFSDatatype` | `getXSDbase64Binary()` Gets the default datatype for byte[] values.
`RDFSDatatype` | `getXSDboolean()` Gets the default datatype for boolean values.
`RDFSDatatype` | `getXSDbyte()` Gets the default datatype for byte values.
`RDFSDatatype` | `getXSDdate()` Gets the default datatype for date values.
`RDFSDatatype` | `getXSDdateTime()` Gets the default datatype for timestamp values.
`RDFSDatatype` | `getXSDdecimal()` Gets the default datatype for BigDecimal values.
`RDFSDatatype` | `getXSDdouble()` Gets the default datatype for double values.
`RDFSDatatype` | `getXSDduration()` Gets the datatype for duration values.
`RDFSDatatype` | `getXSDfloat()` Gets the default datatype for float values.
`RDFSDatatype` | `getXSDint()` Gets the default datatype for integer values.
`RDFSDatatype` | `getXSDinteger()` Gets the default datatype for BigInteger values.
`RDFSDatatype` | `getXSDlong()` Gets the default datatype for long values.
`RDFSDatatype` | `getXSDNonNegativeInteger()` Gets the default datatype for non-negative values
`RDFSDatatype` | `getXSDshort()` Gets the default datatype for short values.
`RDFSDatatype` | `getXSDstring()` Gets the default datatype for string values.
`RDFSDatatype` | `getXSDtime()` Gets the default datatype for time values.
`void` | `initialize()`
`protected void` | `initializeDefaultAnnotationView()` Deprecated. - Not called anymore
`protected void` | `initializeExpandShortNamesInMethods()`
`protected void` | `initializeLoadDefaults()`
`protected void` | `intializeImportOwlNamespaces()`
`boolean` | `isAnonymousResource(RDFResource resource)` Deprecated.
`boolean` | `isAnonymousResourceName(String name)`
`boolean` | `isAutoRepairEnabled()`
`boolean` | `isDefaultAnonymousType(edu.stanford.smi.protege.model.Cls type)`
`boolean` | `isDefaultAnonymousType(Collection types)`
`boolean` | `isExpandShortNameInMethods()`
`boolean` | `isOWLSystemFrame(edu.stanford.smi.protege.model.Frame frame)` Deprecated.
`boolean` | `isOWLTestGroupEnabled(String groupName)`
`boolean` | `isProtegeMetaOntologyImported()`
`boolean` | `isSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)`
`boolean` | `isTrueInstance(edu.stanford.smi.protege.model.Instance instance)`
`static boolean` | `isValidOWLFrameName(NamespaceManager nsm, String name)`
`boolean` | `isValidOWLFrameName(String name)`
`boolean` | `isValidPropertyValue(RDFResource subject, RDFProperty predicate, Object value)` Checks if a certain object would be a valid value for a given subject/property pair.
`boolean` | `isValidResourceName(String name, RDFResource resource)` Checks whether a given String would be a valid name for a given resource.
`Iterator<OWLAnonymousClass>` | `listOWLAnonymousClasses()` Gets an Iterator of all OWLAnonymousClasses in the ontology.
`Iterator` | `listOWLNamedClasses()` Gets an Iterator on all OWLNamedClasses in the ontology, including system classes.
`Iterator` | `listRDFProperties()` Gets an Iterator on all RDFProperties in the model, including system properties.
`Iterator` | `listRDFSNamedClasses()` Gets an Iterator on all RDFSNamedClasses in the ontology, including system classes.
`Iterator` | `listReferences(Object object, int maxResults)` Finds all references to a given object, i.e.
`Iterator` | `listSubjects(RDFProperty property)` The the subjects of all triples where a given property has any value.
`URI` | `loadImportedAssertions(URI ontologyName)` This method is not intended for general consumption - use the ImportHelper instead.
`void` | `removeClassListener(ClassListener listener)` Removes a ClassListener that was previously added.
`void` | `removeModelListener(ModelListener listener)` Removes a ModelListener that was previously added.
`void` | `removeOWLTest(OWLTest test)`
`void` | `removePropertyListener(PropertyListener listener)` Removes a PropertyListener that was previously added.
`void` | `removePropertyValueListener(PropertyValueListener listener)` Removes a PropertyValueListener previously added.
`void` | `removeResourceListener(ResourceListener listener)` Removes a ResourceListener that was previously added.
`void` | `resetJenaModel()` resets the Jena model so that it can be rebuilt.
`void` | `resetOntologyCache()`
`void` | `setAutoRepairEnabled(boolean value)`
`void` | `setCacheMachine(edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine machine)`
`void` | `setDefaultAnnotationPropertiesInView(Collection slots)`
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)`
`edu.stanford.smi.protege.model.Instance` | `setDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls type)`
`void` | `setExpandShortNameInMethods(boolean expandShortNameInMethods)`
`void` | `setLoadDefaults(boolean value)`
`void` | `setOWLClassDisplay(OWLClassDisplay renderer)` Sets the OWLClassDisplay to change the default display of classes.
`void` | `setOWLJavaFactory(OWLJavaFactory factory)` Sets the OWLJavaFactory for this OWLModel.
`void` | `setOWLProject(OWLProject owlProject)` Sets the associated OWLProject.
`void` | `setOWLTestGroupEnabled(String groupName, boolean value)`
`void` | `setProject(edu.stanford.smi.protege.model.Project project)`
`void` | `setPropertyValueValidator(PropertyValueValidator validator)` Sets the validator that shall be used in future calls of the validation methods.
`void` | `setSearchSynonymProperties(Collection slots)`
`void` | `setTaskManager(TaskManager taskManager)` Sets the TaskManager.
`void` | `setWriterSettings(WriterSettings writerSettings)`

Methods inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addDirectTypes, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addJavaLoadPackage, addKnowledgeBaseListener, addOwnSlotValue, addServerProjectListener, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, addTransactionListener, adjustForServer, areValidOwnSlotValues, assertFrameName, beginTransaction, beginTransaction, clearAllListeners, close, commitTransaction, containsFrame, createCls, createCls, createCls, createCls, createFacet, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSimpleInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, createSlot, createUniqueFrameName, deleteFacet, deleteFrame, deleteInstance, deleteSimpleInstance, deleteSlot, endTransaction, equals, executeQuery, flushCache, flushEvents, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getBuildString, getClientInformation, getCls, getClsCount, getClses, getClsesWithMatchingBrowserText, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDispatchEventsEnabled, getDocumentation, getDomain, getEventsEnabled, getFacet, getFacetCheckingEnabled, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithMatchingDirectOwnSlotValue, getFramesWithValue, getGenerateEventsEnabled, getHeadFrameStore, getInheritedTemplateSlots, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getKnowledgeBaseFactory, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumCardinality2, getMaximumValue, getMinimumCardinality, getMinimumValue, getMissingTypeString, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReachableSimpleInstances, getReferences, getReferences, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstance, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumCardinality2, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumCardinality2, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getTerminalFrameStore, getTypes, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasChanged, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClosed, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isUndoEnabled, isValidFrameName, isValidOwnSlotValue, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubclass, moveDirectSubslot, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, removeDirectTypes, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeServerProjectListener, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, removeTransactionListener, rename, rollbackTransaction, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setClientInformation, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectBrowserTextPattern, setDirectOwnSlotValue, setDirectTemplateFacetValue, setDirectTemplateFacetValues, setDirectTemplateSlotValues, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDispatchEventsEnabled, setDocumentation, setDocumentation, setEventDispatchEnabled, setEventsEnabled, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setGenerateEventsEnabled, setInverseSlot, setJournalingEnabled, setLoading, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setModificationRecordUpdatingEnabled, setName, setNextFrameNumber, setOwnSlotValue, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setTerminalFrameStore, setUndoEnabled, setUserName, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling, toString, toString, toString, toStringForFrame, toStringForObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLModel
`getDispatchEventsEnabled, getGenerateEventsEnabled, getHeadFrameStore, getOntModel, setDispatchEventsEnabled, setGenerateEventsEnabled`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addKnowledgeBaseListener, addOwnSlotValue, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, areValidOwnSlotValues, clearAllListeners, containsFrame, createCls, createCls, createCls, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, deleteFacet, deleteFrame, deleteInstance, deleteSlot, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getCls, getClsCount, getClses, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDocumentation, getDomain, getFacet, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithValue, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isValidFrameName, isValidOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateSlot, removeDirectType, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDocumentation, setDocumentation, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setInverseSlot, setJournalingEnabled, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setName, setNextFrameNumber, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setUndoEnabled, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`addJavaLoadPackage, addServerProjectListener, addTransactionListener, assertFrameName, beginTransaction, beginTransaction, commitTransaction, createUniqueFrameName, endTransaction, executeQuery, flushCache, flushEvents, getBuildString, getClientInformation, getClsesWithMatchingBrowserText, getEventsEnabled, getKnowledgeBaseFactory, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getSimpleInstance, hasChanged, isClosed, isUndoEnabled, moveDirectOwnSlotValue, moveDirectType, removeServerProjectListener, removeTransactionListener, rename, rollbackTransaction, setClientInformation, setEventsEnabled, setModificationRecordUpdatingEnabled`

Field Detail

### OWL_MODEL_INIT_DEFAULTS_AT_CREATION

    public static final String OWL_MODEL_INIT_DEFAULTS_AT_CREATION

  If the value of this property key is true in protege.properties, the default mechanism of the underlying frame model will be used at class, property and individual creation time. It false, the defaults mechanism will not be used, which might bring performance improvements. If false, the default mechanism will be disabled. The default value of this property is false.

  See Also:
    Constant Field Values

### OWL_MODEL_EXPAND_SHORT_NAME_IN_METHODS

    public static final String OWL_MODEL_EXPAND_SHORT_NAME_IN_METHODS

See Also:
  Constant Field Values

### OWL_MODEL_IMPORT_NAMESPACES

    public static final String OWL_MODEL_IMPORT_NAMESPACES

See Also:
  Constant Field Values

### DEFAULT_TODO_PREFIX

    public static final String DEFAULT_TODO_PREFIX

See Also:
  Constant Field Values

### DEFAULT_USED_LANGUAGES

    public static final String[] DEFAULT_USED_LANGUAGES

### ANONYMOUS_BASE

    public static final String ANONYMOUS_BASE

See Also:
  Constant Field Values

### UNIQUE_SESSION_ID

    public static final String UNIQUE_SESSION_ID

### DEFAULT_ANNOTATION_PROPERTY_NAME

    public static final String DEFAULT_ANNOTATION_PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_CLASS_NAME

    public static final String DEFAULT_CLASS_NAME

See Also:
  Constant Field Values

### DEFAULT_DATATYPE_PROPERTY_NAME

    public static final String DEFAULT_DATATYPE_PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_INDIVIDUAL_NAME

    public static final String DEFAULT_INDIVIDUAL_NAME

See Also:
  Constant Field Values

### DEFAULT_OBJECT_PROPERTY_NAME

    public static final String DEFAULT_OBJECT_PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_PROPERTY_NAME

    public static final String DEFAULT_PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### AbstractOWLModel

    public AbstractOWLModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)

Method Detail

### initializeLoadDefaults

    protected void initializeLoadDefaults()

### initializeExpandShortNamesInMethods

    protected void initializeExpandShortNamesInMethods()

### intializeImportOwlNamespaces

    protected void intializeImportOwlNamespaces()

### initialize

    public void initialize()

### initializeDefaultAnnotationView

    @Deprecated
    protected void initializeDefaultAnnotationView()

  Deprecated. - Not called anymore

### loadImportedAssertions

    public URI loadImportedAssertions(URI ontologyName)
                               throws edu.stanford.smi.protege.exception.OntologyLoadException

  This method is not intended for general consumption - use the ImportHelper instead. This is called by internal methods such as the ProtegeOWLParser and the various creators. Generally it is called to load the data from an import when an import statement is detected. It will not ensure that the importing ontology is actually declared to import the imported uri - that is the job of the caller.

  Parameters:
    `ontologyName` - The name of the ontology to be imported.
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getParserErrors

    public Collection<edu.stanford.smi.protege.util.MessageError> getParserErrors()

### addParserError

    public void addParserError(edu.stanford.smi.protege.util.MessageError error)

### addClassListener

    public void addClassListener(ClassListener listener)

  Description copied from interface: `OWLModel`
  Adds a ClassListener to receive events about any class in this OWLModel.

  Specified by:
    `addClassListener` in interface `OWLModel`
  Parameters:
    `listener` - the ClassListener to add (currently must be a ClassAdapter)
  See Also:
    `OWLModel.removeClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### addModelListener

    public void addModelListener(ModelListener listener)

  Description copied from interface: `OWLModel`
  Adds a ModelListener to receive notifications when resources have been created, renamed or deleted.

  Specified by:
    `addModelListener` in interface `OWLModel`
  Parameters:
    `listener` - the ModelListener to add (currently must be a ModelAdapter)
  See Also:
    `OWLModel.removeModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### addPropertyListener

    public void addPropertyListener(PropertyListener listener)

  Description copied from interface: `OWLModel`
  Adds a PropertyListener to receive events about any property in this OWLModel.

  Specified by:
    `addPropertyListener` in interface `OWLModel`
  Parameters:
    `listener` - the PropertyListener to add (currently must be a PropertyAdapter)
  See Also:
    `OWLModel.removePropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### addPropertyValueListener

    public void addPropertyValueListener(PropertyValueListener listener)

  Description copied from interface: `OWLModel`
  Adds a PropertyValueListener to receive events about any property value change in this OWLModel. Note that the number of events is most likely very large and installing such a global listener may slow down the system significantly.

  Specified by:
    `addPropertyValueListener` in interface `OWLModel`
  Parameters:
    `listener` - the PropertyValueListener to add
  See Also:
    `OWLModel.removePropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### addResourceListener

    public void addResourceListener(ResourceListener listener)

  Description copied from interface: `OWLModel`
  Adds a ResourceListener to receive events about any RDFResource in this OWLModel.

  Specified by:
    `addResourceListener` in interface `OWLModel`
  Parameters:
    `listener` - the ResourceListener to add (currently must be ResourceAdapter)
  See Also:
    `OWLModel.removeResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### createFrameFactory

    protected SWRLJavaFactory createFrameFactory()

  Overrides:
    `createFrameFactory` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createSystemFrames

    protected SWRLSystemFrames createSystemFrames()

  Overrides:
    `createSystemFrames` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### getSystemFrames

    public SWRLSystemFrames getSystemFrames()

  Specified by:
    `getSystemFrames` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `getSystemFrames` in interface `OWLModel`
  Overrides:
    `getSystemFrames` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### getTaskManager

    public TaskManager getTaskManager()

  Description copied from interface: `OWLModel`
  Gets the `TaskManager` that can be used for executing tasks that take a long time.

  Specified by:
    `getTaskManager` in interface `OWLModel`

### removeClassListener

    public void removeClassListener(ClassListener listener)

  Description copied from interface: `OWLModel`
  Removes a ClassListener that was previously added.

  Specified by:
    `removeClassListener` in interface `OWLModel`
  Parameters:
    `listener` - the ClassListener to remove
  See Also:
    `OWLModel.addClassListener(edu.stanford.smi.protegex.owl.model.event.ClassListener)`

### removeModelListener

    public void removeModelListener(ModelListener listener)

  Description copied from interface: `OWLModel`
  Removes a ModelListener that was previously added.

  Specified by:
    `removeModelListener` in interface `OWLModel`
  Parameters:
    `listener` - the ModelListener to remove
  See Also:
    `OWLModel.addModelListener(edu.stanford.smi.protegex.owl.model.event.ModelListener)`

### removePropertyListener

    public void removePropertyListener(PropertyListener listener)

  Description copied from interface: `OWLModel`
  Removes a PropertyListener that was previously added.

  Specified by:
    `removePropertyListener` in interface `OWLModel`
  Parameters:
    `listener` - the PropertyListener to remove
  See Also:
    `OWLModel.addPropertyListener(edu.stanford.smi.protegex.owl.model.event.PropertyListener)`

### removePropertyValueListener

    public void removePropertyValueListener(PropertyValueListener listener)

  Description copied from interface: `OWLModel`
  Removes a PropertyValueListener previously added.

  Specified by:
    `removePropertyValueListener` in interface `OWLModel`
  Parameters:
    `listener` - the listener to remove
  See Also:
    `OWLModel.addPropertyValueListener(edu.stanford.smi.protegex.owl.model.event.PropertyValueListener)`

### removeResourceListener

    public void removeResourceListener(ResourceListener listener)

  Description copied from interface: `OWLModel`
  Removes a ResourceListener that was previously added.

  Specified by:
    `removeResourceListener` in interface `OWLModel`
  Parameters:
    `listener` - the ResourceListener to remove
  See Also:
    `OWLModel.addResourceListener(edu.stanford.smi.protegex.owl.model.event.ResourceListener)`

### setOWLClassDisplay

    public void setOWLClassDisplay(OWLClassDisplay renderer)

  Description copied from interface: `OWLModel`
  Sets the OWLClassDisplay to change the default display of classes. As a side-effect, this call also changes the OWLClassParser, which depends on the display.

  Specified by:
    `setOWLClassDisplay` in interface `OWLModel`
  Parameters:
    `renderer` - the new display (not null)

### getOWLJavaFactory

    public OWLJavaFactory getOWLJavaFactory()

  Description copied from interface: `OWLModel`
  Gets the OWLJavaFactory that is used to create the Java objects for ontology resources.

  Specified by:
    `getOWLJavaFactory` in interface `OWLModel`
  Returns:
    the OWLJavaFactory
  See Also:
    `OWLModel.setOWLJavaFactory(edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory)`

### setOWLJavaFactory

    public void setOWLJavaFactory(OWLJavaFactory factory)

  Description copied from interface: `OWLModel`
  Sets the OWLJavaFactory for this OWLModel. An OWLJavaFactory creates the Java object for an RDFResource.

  Specified by:
    `setOWLJavaFactory` in interface `OWLModel`
  Parameters:
    `factory` - the new OWLJavaFactory
  See Also:
    `OWLJavaFactory`, `OWLModel.getOWLJavaFactory()`

### setOWLProject

    public void setOWLProject(OWLProject owlProject)

  Description copied from interface: `OWLModel`
  Sets the associated OWLProject.

  Specified by:
    `setOWLProject` in interface `OWLModel`
  Parameters:
    `owlProject` - the new OWLProject
  See Also:
    `OWLModel.getOWLProject()`

### getPropertyValueValidator

    public PropertyValueValidator getPropertyValueValidator()

  Description copied from interface: `OWLModel`
  Gets the currently used PropertyValueValidator.

  Specified by:
    `getPropertyValueValidator` in interface `OWLModel`
  Returns:
    the validator
  See Also:
    `OWLModel.setPropertyValueValidator(edu.stanford.smi.protegex.owl.model.validator.PropertyValueValidator)`

### isValidPropertyValue

    public boolean isValidPropertyValue(RDFResource subject,
                                        RDFProperty predicate,
                                        Object value)

  Description copied from interface: `OWLModel`
  Checks if a certain object would be a valid value for a given subject/property pair. This can be used by visual components to validate user input. Typical implementations check for constraint violations such as numeric ranges, string length etc. This does not check for cardinality restrictions.

  Specified by:
    `isValidPropertyValue` in interface `OWLModel`
  Parameters:
    `subject` - the subject to check the value for
    `predicate` - the property to check for
    `value` - the potential value
  Returns:
    true if value would be valid for the subject/predicate pair

### setPropertyValueValidator

    public void setPropertyValueValidator(PropertyValueValidator validator)

  Description copied from interface: `OWLModel`
  Sets the validator that shall be used in future calls of the validation methods.

  Specified by:
    `setPropertyValueValidator` in interface `OWLModel`
  Parameters:
    `validator` - the new Validator (or null)
  See Also:
    `OWLModel.isValidPropertyValue(edu.stanford.smi.protegex.owl.model.RDFResource, edu.stanford.smi.protegex.owl.model.RDFProperty, java.lang.Object)`

### copyFacetValuesIntoNamedClses

    public void copyFacetValuesIntoNamedClses()

  Copies all facet values of restriction superclasses into their named subclasses and thus makes sure that both values are synchronized. This method must be called after a file has been loaded.

### copyFacetValuesIntoProperties

    public void copyFacetValuesIntoProperties()

### createNewResourceName

    public String createNewResourceName(String partialLocalName)

  Description copied from interface: `OWLModel`
  Creates a unique name from a given local name prefix. For example, if you pass in "Class", then the method will return "Class_42" or "travel:Class_42" depending on the default namespace of the currently active TripleStore. This method can be used to create new names for classes, properties etc.

  Specified by:
    `createNewResourceName` in interface `OWLModel`
  Parameters:
    `partialLocalName` - the partial name
  Returns:
    a unique name for a new resource

### createOWLAllDifferent

    public OWLAllDifferent createOWLAllDifferent()

  Specified by:
    `createOWLAllDifferent` in interface `OWLModel`

### createOWLAllValuesFrom

    public OWLAllValuesFrom createOWLAllValuesFrom()

  Specified by:
    `createOWLAllValuesFrom` in interface `OWLModel`

### createOWLAllValuesFrom

    public OWLAllValuesFrom createOWLAllValuesFrom(RDFProperty property,
                                                   RDFResource filler)

  Specified by:
    `createOWLAllValuesFrom` in interface `OWLModel`

### createOWLAllValuesFrom

    public OWLAllValuesFrom createOWLAllValuesFrom(RDFProperty property,
                                                   RDFSLiteral[] oneOfValues)

  Specified by:
    `createOWLAllValuesFrom` in interface `OWLModel`

### createAnnotationProperty

    public RDFProperty createAnnotationProperty(String name)

  Description copied from interface: `OWLModel`
  Creates a simple owl:AnnotationProperty.

  Specified by:
    `createAnnotationProperty` in interface `OWLModel`
  Parameters:
    `name` - - the name of the annotation property. If name is null, a new name will be generated
  Returns:
    the owl:AnnotationProperty

### createAnnotationOWLDatatypeProperty

    public OWLDatatypeProperty createAnnotationOWLDatatypeProperty(String name)

  Specified by:
    `createAnnotationOWLDatatypeProperty` in interface `OWLModel`

### createAnnotationOWLObjectProperty

    public OWLObjectProperty createAnnotationOWLObjectProperty(String name)

  Specified by:
    `createAnnotationOWLObjectProperty` in interface `OWLModel`

### createOWLCardinality

    public OWLCardinality createOWLCardinality()

  Specified by:
    `createOWLCardinality` in interface `OWLModel`

### createOWLCardinality

    public OWLCardinality createOWLCardinality(RDFProperty property,
                                               int value)

  Specified by:
    `createOWLCardinality` in interface `OWLModel`

### createOWLCardinality

    public OWLCardinality createOWLCardinality(RDFProperty property,
                                               int value,
                                               RDFSClass qualifier)

  Specified by:
    `createOWLCardinality` in interface `OWLModel`

### createCls

    public edu.stanford.smi.protege.model.Cls createCls(edu.stanford.smi.protege.model.FrameID id,
                                                        Collection directSuperclasses,
                                                        Collection directTypes,
                                                        boolean loadDefaults)

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `createCls` in interface `ProtegeKnowledgeBase`
  Overrides:
    `createCls` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createOWLComplementClass

    public OWLComplementClass createOWLComplementClass()

  Specified by:
    `createOWLComplementClass` in interface `OWLModel`

### createOWLComplementClass

    public OWLComplementClass createOWLComplementClass(RDFSClass complement)

  Specified by:
    `createOWLComplementClass` in interface `OWLModel`

### createOWLDataRange

    public OWLDataRange createOWLDataRange()

  Description copied from interface: `OWLModel`
  Creates an empty owl:DataRange.

  Specified by:
    `createOWLDataRange` in interface `OWLModel`
  Returns:
    a new empty owl:DataRange

### createOWLDataRange

    public OWLDataRange createOWLDataRange(RDFSLiteral[] values)

  Description copied from interface: `OWLModel`
  Creates a new owl:DataRange consisting of a given set of values. This will create an rdf:List to store the values on the fly

  Specified by:
    `createOWLDataRange` in interface `OWLModel`
  Parameters:
    `values` - the values in the owl:oneOf list in the owl:DataRange
  Returns:
    a new OWLDataRange

### createOWLDatatypeProperty

    public OWLDatatypeProperty createOWLDatatypeProperty(String name)

  Description copied from interface: `OWLModel`
  Creates a new OWLDatatypeProperty (with default settings, e.g. no range).

  Specified by:
    `createOWLDatatypeProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the new property
  Returns:
    a new OWLDatatypeProperty

### createOWLDatatypeProperty

    public OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                         OWLNamedClass metaCls)

  Description copied from interface: `OWLModel`
  Creates a new OWLDatatypeProperty with a given rdf:type as metaclass.

  Specified by:
    `createOWLDatatypeProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the new property
    `metaCls` - the rdf:type of the property
  Returns:
    a new OWLDatatypeProperty, instance of the metaclass

### createOWLDatatypeProperty

    public OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                         RDFSDatatype datatype)

  Description copied from interface: `OWLModel`
  Creates a new OWLDatatypeProperty with a given RDFSDatatype as range.

  Specified by:
    `createOWLDatatypeProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the new property
    `datatype` - the (initial) range (e.g. `getXSDint()`
  Returns:
    a new OWLDatatypeProperty

### createOWLDatatypeProperty

    public OWLDatatypeProperty createOWLDatatypeProperty(String name,
                                                         RDFSLiteral[] dataRangeLiterals)

  Specified by:
    `createOWLDatatypeProperty` in interface `OWLModel`

### createFrameStoreManager

    protected edu.stanford.smi.protege.model.framestore.FrameStoreManager createFrameStoreManager()

  Overrides:
    `createFrameStoreManager` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### getFrameStoreManager

    public OWLFrameStoreManager getFrameStoreManager()

  Specified by:
    `getFrameStoreManager` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `getFrameStoreManager` in interface `OWLModel`
  Overrides:
    `getFrameStoreManager` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createOWLEnumeratedClass

    public OWLEnumeratedClass createOWLEnumeratedClass()

  Specified by:
    `createOWLEnumeratedClass` in interface `OWLModel`

### createOWLEnumeratedClass

    public OWLEnumeratedClass createOWLEnumeratedClass(Collection instances)

  Specified by:
    `createOWLEnumeratedClass` in interface `OWLModel`

### createRDFExternalResource

    @Deprecated
    public RDFExternalResource createRDFExternalResource(String uri)

  Deprecated.

  Specified by:
    `createRDFExternalResource` in interface `OWLModel`

### createOWLHasValue

    public OWLHasValue createOWLHasValue()

  Specified by:
    `createOWLHasValue` in interface `OWLModel`

### createOWLHasValue

    public OWLHasValue createOWLHasValue(RDFProperty property,
                                         Object value)

  Description copied from interface: `OWLModel`
  Creates a new OWLHasValue for a given Slot.

  Specified by:
    `createOWLHasValue` in interface `OWLModel`
  Parameters:
    `property` - the restricted Slot
    `value` - an Instance, Boolean, Integer, Double, or String
  Returns:
    a new OWLHasValue

### createInstance

    public edu.stanford.smi.protege.model.Instance createInstance(String name,
                                                                  edu.stanford.smi.protege.model.Cls directType)

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `createInstance` in interface `ProtegeKnowledgeBase`
  Overrides:
    `createInstance` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`
  See Also:
    `RDFSClass.createInstance(java.lang.String)`

### createInstance

    public edu.stanford.smi.protege.model.Instance createInstance(String name,
                                                                  Collection directTypes)

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Overrides:
    `createInstance` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createInstance

    public edu.stanford.smi.protege.model.Instance createInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                  Collection directTypes,
                                                                  boolean initializeDefaults)

  Specified by:
    `createInstance` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `createInstance` in interface `ProtegeKnowledgeBase`
  Overrides:
    `createInstance` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createOWLIntersectionClass

    public OWLIntersectionClass createOWLIntersectionClass()

  Specified by:
    `createOWLIntersectionClass` in interface `OWLModel`

### createOWLIntersectionClass

    public OWLIntersectionClass createOWLIntersectionClass(Collection clses)

  Specified by:
    `createOWLIntersectionClass` in interface `OWLModel`

### createRDFList

    public RDFList createRDFList()

  Description copied from interface: `OWLModel`
  Creates a new empty rdf:List

  Specified by:
    `createRDFList` in interface `OWLModel`
  Returns:
    a new RDFList

### createRDFList

    public RDFList createRDFList(Iterator values)

  Description copied from interface: `OWLModel`
  Creates a new rdf:List.

  Specified by:
    `createRDFList` in interface `OWLModel`
  Parameters:
    `values` - an Iterator on the initial values of this list.
  Returns:
    a new RDFList.

### createRDFSClassFromExpression

    public RDFSClass createRDFSClassFromExpression(String parsableExpression)

  Description copied from interface: `OWLModel`
  Gets or creates an RDFSClass based on a parsable expression. If the expression is parsed into an anonymous class, then the anonymous class will be created. If the expression is just the name of a named class, then the named class will be returned. Note that the expression must be parsable or an null will be returned.

  Specified by:
    `createRDFSClassFromExpression` in interface `OWLModel`
  Parameters:
    `parsableExpression` - a parsable expression such as !(Person | Animal)
  Returns:
    an RDFSClass

### createRDFSDatatype

    public RDFSDatatype createRDFSDatatype(String name)

  Specified by:
    `createRDFSDatatype` in interface `OWLModel`

### createOWLMaxCardinality

    public OWLMaxCardinality createOWLMaxCardinality()

  Specified by:
    `createOWLMaxCardinality` in interface `OWLModel`

### createOWLMaxCardinality

    public OWLMaxCardinality createOWLMaxCardinality(RDFProperty property,
                                                     int value)

  Specified by:
    `createOWLMaxCardinality` in interface `OWLModel`

### createOWLMaxCardinality

    public OWLMaxCardinality createOWLMaxCardinality(RDFProperty property,
                                                     int value,
                                                     RDFSClass qualifier)

  Specified by:
    `createOWLMaxCardinality` in interface `OWLModel`

### createOWLMinCardinality

    public OWLMinCardinality createOWLMinCardinality()

  Specified by:
    `createOWLMinCardinality` in interface `OWLModel`

### createOWLMinCardinality

    public OWLMinCardinality createOWLMinCardinality(RDFProperty property,
                                                     int value)

  Specified by:
    `createOWLMinCardinality` in interface `OWLModel`

### createOWLMinCardinality

    public OWLMinCardinality createOWLMinCardinality(RDFProperty property,
                                                     int value,
                                                     RDFSClass qualifier)

  Specified by:
    `createOWLMinCardinality` in interface `OWLModel`

### createOWLNamedClass

    public OWLNamedClass createOWLNamedClass(String name)

  Specified by:
    `createOWLNamedClass` in interface `OWLModel`

### createOWLNamedClass

    public OWLNamedClass createOWLNamedClass(String name,
                                             boolean loadDefaults)

  Specified by:
    `createOWLNamedClass` in interface `OWLModel`

### createOWLNamedClass

    public OWLNamedClass createOWLNamedClass(String name,
                                             OWLNamedClass metaCls)

  Description copied from interface: `OWLModel`
  Creates a new named OWL class with a given metaclass, which must be a subclass of owl:Class.

  Specified by:
    `createOWLNamedClass` in interface `OWLModel`
  Parameters:
    `name` - the name of the new class
    `metaCls` - the metaclass (subclass of owl:Class)
  Returns:
    the new OWLNamedClass

### createOWLNamedSubclass

    public OWLNamedClass createOWLNamedSubclass(String name,
                                                OWLNamedClass superclass)

  Specified by:
    `createOWLNamedSubclass` in interface `OWLModel`

### createOWLObjectProperty

    public OWLObjectProperty createOWLObjectProperty(String name)

  Description copied from interface: `OWLModel`
  Creates a new OWLObjectProperty.

  Specified by:
    `createOWLObjectProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the new property
  Returns:
    a new owl:ObjectProperty with the given name

### createOWLObjectProperty

    public OWLObjectProperty createOWLObjectProperty(String name,
                                                     OWLNamedClass metaCls)

  Specified by:
    `createOWLObjectProperty` in interface `OWLModel`

### createOWLObjectProperty

    public OWLObjectProperty createOWLObjectProperty(String name,
                                                     Collection allowedClasses)

  Specified by:
    `createOWLObjectProperty` in interface `OWLModel`

### createOWLOntology

    public OWLOntology createOWLOntology(String uri)
                                  throws AlreadyImportedException

  Description copied from interface: `OWLModel`
  Creates a new OWLOntology for a given prefix. Note that the prefix of the new ontology must have been defined before. The new OWLOntology will get the internal name `prefix + ":"`.

  Specified by:
    `createOWLOntology` in interface `OWLModel`
  Parameters:
    `uri` - a valid namespace prefix
  Returns:
    the new OWLOntology
  Throws:
    `AlreadyImportedException`

### createOWLOntology

    @Deprecated
    public OWLOntology createOWLOntology(String name,
                                                    String uri)
                                  throws AlreadyImportedException

  Deprecated.

  Specified by:
    `createOWLOntology` in interface `OWLModel`
  Throws:
    `AlreadyImportedException`
  See Also:
    `OWLModel.createOWLOntology(String)`

### createRDFSNamedClass

    public RDFSNamedClass createRDFSNamedClass(String name)

  Specified by:
    `createRDFSNamedClass` in interface `OWLModel`

### createRDFSNamedClass

    public RDFSNamedClass createRDFSNamedClass(String name,
                                               boolean loadDefaults)

  Specified by:
    `createRDFSNamedClass` in interface `OWLModel`

### createRDFSNamedClass

    public RDFSNamedClass createRDFSNamedClass(String name,
                                               Collection parents,
                                               RDFSClass rdfType)

  Description copied from interface: `OWLModel`
  Creates an RDFSNamedClass (or perhaps an OWLNamedClass) with given name, superclasses and rdf:type.

  Specified by:
    `createRDFSNamedClass` in interface `OWLModel`
  Parameters:
    `name` - the name of the new class
    `parents` - the parents
    `rdfType` - the rdf:type of the new class
  Returns:
    the new class

### createRDFSNamedSubclass

    public RDFSNamedClass createRDFSNamedSubclass(String name,
                                                  RDFSNamedClass superclass)

  Description copied from interface: `OWLModel`
  Creates a new named OWL class which has exactly a given superclass. This is a convenience method which removes the need to remove the root class.

  Specified by:
    `createRDFSNamedSubclass` in interface `OWLModel`
  Parameters:
    `name` - the name of the new class
    `superclass` - the superclass it shall have
  Returns:
    the new OWLNamedClass

### createRDFUntypedResource

    public RDFUntypedResource createRDFUntypedResource(String uri)

  Description copied from interface: `OWLModel`
  Creates an untyped rdf:Resource for a given URI. The caller must make sure that no resource with the same URI already exists.

  Specified by:
    `createRDFUntypedResource` in interface `OWLModel`
  Parameters:
    `uri` - the URI to create an untyped resource for
  Returns:
    the new RDFUntypedResource

### createRDFProperty

    public RDFProperty createRDFProperty(String name)

  Specified by:
    `createRDFProperty` in interface `OWLModel`

### createTriple

    public Triple createTriple(RDFResource subject,
                               RDFProperty predicate,
                               Object object)

  Description copied from interface: `OWLModel`
  Creates a new Triple. This method should be used instead of creating an instance of DefaultTriple directly. The model is not changed at all by this.

  Specified by:
    `createTriple` in interface `OWLModel`
  Parameters:
    `subject` - the subject of the Triple
    `predicate` - the predicate of the Triple
    `object` - the object of the Triple
  Returns:
    a new Triple

### getAllImports

    public Set<String> getAllImports()

  Description copied from interface: `OWLModel`
  Gets all (transitive) imports in this OWLModel.

  Specified by:
    `getAllImports` in interface `OWLModel`
  Returns:
    a Set of String URIs of the import statements

### createSubclass

    public RDFSNamedClass createSubclass(String name,
                                         RDFSNamedClass superclass)

  Description copied from interface: `OWLModel`
  Creates a subclass of a superclass. The new class will have the same rdf:type as its parent.

  Specified by:
    `createSubclass` in interface `OWLModel`
  Parameters:
    `name` - the name of the new subclass or null for a default name
    `superclass` - the superclass
  Returns:
    the new subclass

### createSubclass

    public RDFSNamedClass createSubclass(String name,
                                         Collection superclasses)

  Description copied from interface: `OWLModel`
  Creates a subclass of a number of superclasses. The new class will have the same rdf:type as its first parent

  Specified by:
    `createSubclass` in interface `OWLModel`
  Parameters:
    `name` - the name of the new subclass or null for a default name
    `superclasses` - a Collection of RDFSClasses
  Returns:
    the new subclass

### createOWLSomeValuesFrom

    public OWLSomeValuesFrom createOWLSomeValuesFrom()

  Specified by:
    `createOWLSomeValuesFrom` in interface `OWLModel`

### createOWLSomeValuesFrom

    public OWLSomeValuesFrom createOWLSomeValuesFrom(RDFProperty property,
                                                     RDFResource filler)

  Specified by:
    `createOWLSomeValuesFrom` in interface `OWLModel`

### createOWLSomeValuesFrom

    public OWLSomeValuesFrom createOWLSomeValuesFrom(RDFProperty property,
                                                     RDFSLiteral[] oneOfValues)

  Specified by:
    `createOWLSomeValuesFrom` in interface `OWLModel`

### createSubproperty

    public RDFProperty createSubproperty(String name,
                                         RDFProperty superProperty)

  Description copied from interface: `OWLModel`
  Creates a new property as a subproperty of an existing property. The new property will get the same type as the superproperty.

  Specified by:
    `createSubproperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the new subproperty, or null for a default name
    `superProperty` - the superproperty
  Returns:
    a new (sub-) property

### endTransaction

    public boolean endTransaction()

  Specified by:
    `endTransaction` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Overrides:
    `endTransaction` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### executeSPARQLQuery

    public QueryResults executeSPARQLQuery(String partialQueryText)
                                    throws Exception

  Description copied from interface: `OWLModel`
  Executes a SPARQL query on this OWLModel. The method will internally add prefix declarations according to the current namespace declarations. The resulting QueryResults object can be used to iterate over the results.

  Specified by:
    `executeSPARQLQuery` in interface `OWLModel`
  Parameters:
    `partialQueryText` - the query text, typically beginning with "SELECT"
  Returns:
    a QueryResults object
  Throws:
    `Exception` - if the query string could not be handled

### createOWLUnionClass

    public OWLUnionClass createOWLUnionClass()

  Specified by:
    `createOWLUnionClass` in interface `OWLModel`

### createOWLUnionClass

    public OWLUnionClass createOWLUnionClass(Collection clses)

  Specified by:
    `createOWLUnionClass` in interface `OWLModel`

### createRDFSLiteral

    public RDFSLiteral createRDFSLiteral(Object value)

  Description copied from interface: `OWLModel`
  Creates a new RDFSLiteral with a default datatype derived from the value.

  Specified by:
    `createRDFSLiteral` in interface `OWLModel`
  Parameters:
    `value` - the value (not null)
  Returns:
    a new RDFSLiteral

### createRDFSLiteral

    public RDFSLiteral createRDFSLiteral(String lexicalValue,
                                         RDFSDatatype datatype)

  Description copied from interface: `OWLModel`
  Creates a new RDFSLiteral with a given datatype.

  Specified by:
    `createRDFSLiteral` in interface `OWLModel`
  Parameters:
    `lexicalValue` - the value in the literal (not null)
    `datatype` - the RDFSDatatype of the value
  Returns:
    a new RDFSLiteral

### createRDFSLiteral

    public RDFSLiteral createRDFSLiteral(String value,
                                         String language)

  Description copied from interface: `OWLModel`
  Creates a new string-typed literal with a given language.

  Specified by:
    `createRDFSLiteral` in interface `OWLModel`
  Parameters:
    `value` - the value in the literal (not null)
    `language` - the language tag of the value (possibly null)
  Returns:
    a new RDFSLiteral

### createRDFSLiteralOrString

    public Object createRDFSLiteralOrString(String value,
                                            String language)

  Description copied from interface: `OWLModel`
  Creates a new string-typed literal with a given language. If the language is null or empty, then this returns the value as a string only.

  Specified by:
    `createRDFSLiteralOrString` in interface `OWLModel`
  Parameters:
    `value` - the value in the literal (not null)
    `language` - the language tag of the value (possibly null)
  Returns:
    a new RDFSLiteral

### deleteAllFrames

    public static void deleteAllFrames(OWLModel owlModel)

  Deletes all Frames that are not system classes (including OWL system classes).

### deleteCls

    public void deleteCls(edu.stanford.smi.protege.model.Cls cls)

  Specified by:
    `deleteCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `deleteCls` in interface `ProtegeKnowledgeBase`
  Overrides:
    `deleteCls` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`
  See Also:
    `RDFResource.delete()`

### getOWLAllDifferents

    public Collection getOWLAllDifferents()

  Description copied from interface: `OWLModel`
  Gets a collection of all OWLAllDifferents in the knowlegde base.

  Specified by:
    `getOWLAllDifferents` in interface `OWLModel`
  Returns:
    a collection of 'em

### getOWLAnnotationProperties

    public Collection<RDFProperty> getOWLAnnotationProperties()

  Description copied from interface: `OWLModel`
  Gets all annotation properties.

  Specified by:
    `getOWLAnnotationProperties` in interface `OWLModel`
  Returns:
    the annotation properties

### getBrowserText

    public String getBrowserText(edu.stanford.smi.protege.model.Instance instance)

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `getBrowserText` in interface `ProtegeKnowledgeBase`
  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`
  See Also:
    `RDFResource.getBrowserText()`

### getDisplaySlotPatternValueNotSetString

    protected String getDisplaySlotPatternValueNotSetString(edu.stanford.smi.protege.model.Instance instance,
                                                            edu.stanford.smi.protege.model.BrowserSlotPattern slotPattern)

  Overrides:
    `getDisplaySlotPatternValueNotSetString` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### getDisplaySlotNotSetString

    protected String getDisplaySlotNotSetString(edu.stanford.smi.protege.model.Instance instance)

  Overrides:
    `getDisplaySlotNotSetString` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### getChangedInferredClasses

    public Collection getChangedInferredClasses()

  Description copied from interface: `OWLModel`
  Gets all named classes where the classification status is OWLNames.CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED, i.e. all classes that were identified to move by the most recent invokation of a classifier.

  Specified by:
    `getChangedInferredClasses` in interface `OWLModel`
  Returns:
    a Collection of OWLNamedClass instances

### getCommonSuperclasses

    public Set<RDFSNamedClass> getCommonSuperclasses(Collection<RDFSNamedClass> classes)

  Gets the most specific common named superclasses of a given collection of named classes.

  Specified by:
    `getCommonSuperclasses` in interface `OWLModel`
  Parameters:
    `classes` - the RDFSNamedClasses to get the superclasses of (at least one)
  Returns:
    the most specific common superclasses of all classes, e.g. owl:Thing

### getCommonSuperclass

    public RDFSNamedClass getCommonSuperclass(Collection<RDFSNamedClass> classes)

  Chooses a most specific common named superclass of a given collection of named classes.

  Specified by:
    `getCommonSuperclass` in interface `OWLModel`
  Parameters:
    `classes` - the RDFSNamedClasses to get the superclass of (at least one)
  Returns:
    the most specific common superclass of all classes, e.g. owl:Thing

### getOWLDatatypeProperty

    public OWLDatatypeProperty getOWLDatatypeProperty(String name)

  Specified by:
    `getOWLDatatypeProperty` in interface `OWLModel`

### getDefaultLanguage

    public String getDefaultLanguage()

  Description copied from interface: `OWLModel`
  Gets the default language specified by the user through an annotation property at owl:Ontology.

  Specified by:
    `getDefaultLanguage` in interface `OWLModel`
  Returns:
    the default language or null for none

### getDefaultLanguageProperty

    public RDFProperty getDefaultLanguageProperty()

### resetOntologyCache

    public void resetOntologyCache()

  Specified by:
    `resetOntologyCache` in interface `OWLModel`

### getDefaultOWLOntology

    public OWLOntology getDefaultOWLOntology()

  Specified by:
    `getDefaultOWLOntology` in interface `OWLModel`

### attachDefaultLanguageListener

    protected void attachDefaultLanguageListener()

### detachDefaultLanguageListener

    protected void detachDefaultLanguageListener()

### getDomainlessProperties

    public Collection getDomainlessProperties()

  Description copied from interface: `OWLModel`
  Gets all properties that have owl:Thing as their domain. This includes all properties that have no domain statement at all.

  Specified by:
    `getDomainlessProperties` in interface `OWLModel`
  Returns:
    a Collection of RDFProperties

### getOWLProject

    public OWLProject getOWLProject()

  Description copied from interface: `OWLModel`
  Gets the associated OWLProject, which can be used to store project-specific settings.

  Specified by:
    `getOWLProject` in interface `OWLModel`
  Returns:
    the OWLProject (never null)

### getRepositoryManager

    public RepositoryManager getRepositoryManager()

  Specified by:
    `getRepositoryManager` in interface `OWLModel`

### getRDFExternalResource

    @Deprecated
    public RDFExternalResource getRDFExternalResource(String uri)

  Deprecated.

  Specified by:
    `getRDFExternalResource` in interface `OWLModel`

### getInconsistentClasses

    public Collection getInconsistentClasses()

  Description copied from interface: `OWLModel`
  Gets all classes which have been marked as inconsistent.

  Specified by:
    `getInconsistentClasses` in interface `OWLModel`
  Returns:
    a Collection of NamedClses

### getJenaModel

    public com.hp.hpl.jena.rdf.model.Model getJenaModel()

  Description copied from interface: `OWLModel`
  Gets a (read-only) Jena Model serving as a live view upon the Protege TripleStores.

  Specified by:
    `getJenaModel` in interface `OWLModel`
  Returns:
    a Jena Model

### getOWLClassParser

    public OWLClassParser getOWLClassParser()

  Description copied from interface: `OWLModel`
  Gets the OWLClassParser for the current class expression syntax.

  Specified by:
    `getOWLClassParser` in interface `OWLModel`
  Returns:
    the currently used parser

### getGlobalParserCache

    public GlobalParserCache getGlobalParserCache()

### getOWLClassDisplay

    public OWLClassDisplay getOWLClassDisplay()

  Description copied from interface: `OWLModel`
  Gets the currently used renderer for classes into display strings.

  Specified by:
    `getOWLClassDisplay` in interface `OWLModel`
  Returns:
    the OWLClassDisplay
  See Also:
    `OWLModel.setOWLClassDisplay(edu.stanford.smi.protegex.owl.model.classdisplay.OWLClassDisplay)`

### getRDFResourceCount

    public int getRDFResourceCount()

  Description copied from interface: `OWLModel`
  Gets the number of all RDFResources in this model. This method is useful to estimate the number of iterations for an algorithm without accessing all resources. This is equivalent to `getRDFResources().size()`, but much more efficient than that.

  Specified by:
    `getRDFResourceCount` in interface `OWLModel`
  Returns:
    the number of RDFResources

### getRDFResources

    public Collection getRDFResources()

  Description copied from interface: `OWLModel`
  Gets a list of all RDFResources in this model.

  Specified by:
    `getRDFResources` in interface `OWLModel`
  Returns:
    a Collection of RDFResource objects

### getRDFResourcesWithPropertyValue

    public Collection getRDFResourcesWithPropertyValue(RDFProperty property,
                                                       Object value)

  Description copied from interface: `OWLModel`
  Gets all RDFResources that have a given value for a given property.

  Specified by:
    `getRDFResourcesWithPropertyValue` in interface `OWLModel`
  Parameters:
    `property` - the RDFProperty
    `value` - the value (must match exactly)
  Returns:
    a Collection of RDFResources

### getRDFResources

    public static Collection<RDFResource> getRDFResources(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                                          Collection<? extends edu.stanford.smi.protege.model.Frame> frames)

### getRDFUntypedResource

    public RDFUntypedResource getRDFUntypedResource(String uri,
                                                    boolean createOnDemand)

  Description copied from interface: `OWLModel`
  Gets an RDFUntypedResource for a given string. If no existing instance of this URI is found, the method can be instructed to create one.

  Specified by:
    `getRDFUntypedResource` in interface `OWLModel`
  Parameters:
    `uri` - the URI to look up
    `createOnDemand` - true to have the system create one if it doesn't exist
  Returns:
    the RDFUntypedResource or null if none currently exists.

### getResourceNameMatches

    public Collection<RDFResource> getResourceNameMatches(String nameExpression,
                                                          int maxMatches)

  Description copied from interface: `OWLModel`
  Gets all RDFResources that have a matching name (possibly using wildcards).

  Specified by:
    `getResourceNameMatches` in interface `OWLModel`
  Parameters:
    `nameExpression` - the name pattern
    `maxMatches` - the maximum number of hits to be returned

### getOWLNamedClass

    public OWLNamedClass getOWLNamedClass(String name)

  Description copied from interface: `OWLModel`
  A convenience method which includes the typecast after `getCls()`. The invoker must make sure that the name really reflects a OWLNamedClass.

  Specified by:
    `getOWLNamedClass` in interface `OWLModel`
  Parameters:
    `name` - the name of the OWLNamedClass to get
  Returns:
    a OWLNamedClass

### getMatchingResources

    public Collection getMatchingResources(RDFProperty property,
                                           String matchString,
                                           int maxMatches)

  Description copied from interface: `OWLModel`
  Gets all RDFResources that have a matching value for a given property.

  Specified by:
    `getMatchingResources` in interface `OWLModel`
  Parameters:
    `property` - the (string) property to compare to
    `matchString` - the match string (can include wild cards). The matching is case insensitive.
    `maxMatches` - the maximum number of matches (-1 for all matches, which can be a lot!)
  Returns:
    the matching RDFResources

### getNextAnonymousResourceName

    public String getNextAnonymousResourceName()

  Description copied from interface: `OWLModel`
  Gets the next name that can be used to create an "anonymous" instance. Anonymous resources don't exist in Protege, so we need to use naming conventions to mark those anonymous instances, which will then be converted back to real anonymous nodes in the OWL file (e.g. by the JenaCreator).

  Specified by:
    `getNextAnonymousResourceName` in interface `OWLModel`
  Returns:
    a suitable name for an "anonymous" resource

### getNextAnonymousResourceNameStatic

    public static String getNextAnonymousResourceNameStatic()

### getRDFProperties

    public Collection getRDFProperties()

  Description copied from interface: `OWLModel`
  Gets a collection of all RDFProperties (or subclasses thereof).

  Specified by:
    `getRDFProperties` in interface `OWLModel`
  Returns:
    a Collection of RDFProperties

### getRDFResource

    public RDFResource getRDFResource(String name)

  Description copied from interface: `OWLModel`
  Gets an RDFResource by its name.

  Specified by:
    `getRDFResource` in interface `OWLModel`
  Parameters:
    `name` - the name of the resource
  Returns:
    an RDFResource or null if none was found under that name

### getRDFResourceAs

    public RDFResource getRDFResourceAs(String name,
                                        Class javaInterface)

  Description copied from interface: `OWLModel`
  Combines the calls `getRDFResource(name).as(javaInterface)`. Warning: No checks are done.

  Specified by:
    `getRDFResourceAs` in interface `OWLModel`
  Parameters:
    `name` - the name of the resource to get
    `javaInterface` - the target type of the result
  Returns:
    an instance of the Java interface representing the resource, or null
  See Also:
    `OWLModel.getRDFResource(java.lang.String)`, `RDFResource.as(java.lang.Class)`

### getOWLIndividual

    public OWLIndividual getOWLIndividual(String name)

  Specified by:
    `getOWLIndividual` in interface `OWLModel`

### getOWLRestrictionsOnProperty

    public Collection getOWLRestrictionsOnProperty(RDFProperty property)

  Description copied from interface: `OWLModel`
  Gets a Collection of all Restrictions that are defined on a given property.

  Specified by:
    `getOWLRestrictionsOnProperty` in interface `OWLModel`
  Parameters:
    `property` - the property to get all Restrictions for
  Returns:
    a Collection of OWLRestriction objects

### getSearchSynonymProperties

    public Collection getSearchSynonymProperties()

  Description copied from interface: `OWLModel`
  Gets the slots that are used for matching when the user searches for a frame in the search fields. These are used in addition to the :NAME slot in the getFrameNameMatches() method.

  Specified by:
    `getSearchSynonymProperties` in interface `OWLModel`
  Returns:
    the collection of synonym slots (by default: an empty collection)

### getDefaultAnnotationPropertiesInView

    public Collection getDefaultAnnotationPropertiesInView()

### getOWLObjectProperty

    public OWLObjectProperty getOWLObjectProperty(String name)

  Specified by:
    `getOWLObjectProperty` in interface `OWLModel`

### getOWLOntologies

    public Collection getOWLOntologies()

  Description copied from interface: `OWLModel`
  Gets all OWLOntologies in the current model. This always includes the default ontology.

  Specified by:
    `getOWLOntologies` in interface `OWLModel`
  Returns:
    a Collection of OWLOntologies
  See Also:
    `OWLModel.getDefaultOWLOntology()`

### getOWLOntologyByURI

    public OWLOntology getOWLOntologyByURI(String uri)

  Specified by:
    `getOWLOntologyByURI` in interface `OWLModel`

### getOWLOntologyByURI

    public RDFResource getOWLOntologyByURI(URI uri)

  Description copied from interface: `OWLModel`
  Gets the OWLOntology with a given URI.

  Specified by:
    `getOWLOntologyByURI` in interface `OWLModel`
  Parameters:
    `uri` - the URI to look up
  Returns:
    the OWLOntology or OWLIndividual or null if it does not exist yet

### getOWLOntologyProperties

    public Collection getOWLOntologyProperties()

  Description copied from interface: `OWLModel`
  Gets the owl:OntologyProperties defined in OWL. These are incompatibleWith etc.

  Specified by:
    `getOWLOntologyProperties` in interface `OWLModel`
  Returns:
    the Ontology properties

### getOWLClasses

    @Deprecated
    public Collection getOWLClasses()

  Deprecated. use getRDFSClasses instead

### getOWLFrameStore

    public OWLFrameStore getOWLFrameStore()

  Description copied from interface: `OWLModel`
  Provides low level access to some internal Protege detail - normally not needed.

  Specified by:
    `getOWLFrameStore` in interface `OWLModel`

### getOWLIndividuals

    public Collection getOWLIndividuals()

  Description copied from interface: `OWLModel`
  Gets those Instances in the ontology that are instances of a OWLNamedClass. This is equivalent to `getOWLIndividuals(false)`.

  Specified by:
    `getOWLIndividuals` in interface `OWLModel`
  Returns:
    the OWL instances

### getOWLIndividuals

    public Collection getOWLIndividuals(boolean onlyVisibleClasses)

  Description copied from interface: `OWLModel`
  Gets those Instances in the ontology that are instances of a OWLNamedClass.

  Specified by:
    `getOWLIndividuals` in interface `OWLModel`
  Parameters:
    `onlyVisibleClasses` - true to only return instanceso of visible classes
  Returns:
    the OWL instances

### getOWLProperty

    public OWLProperty getOWLProperty(String name)

  Description copied from interface: `OWLModel`
  A convenience method including typecast.

  Specified by:
    `getOWLProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the property to get
  Returns:
    `(OWLProperty) getRDFProperty(name)`

### getOWLSystemResources

    public Collection getOWLSystemResources()

  Description copied from interface: `OWLModel`
  Gets a Collection of all system resources installed by the OWL Plugin. These are not editable and not included, but isSystem().

  Specified by:
    `getOWLSystemResources` in interface `OWLModel`
  Returns:
    a Collection of system resources

### getOWLSystemFramesArray

    protected edu.stanford.smi.protege.model.Frame[] getOWLSystemFramesArray()

  Gets the array of OWL System frames.

  An important side effect of this method is that it initializes several of the variables used by the AbstractOWLModel.

### getProtegeAllowedParentProperty

    public RDFProperty getProtegeAllowedParentProperty()

  Description copied from interface: `OWLModel`
  Gets the property protege:allowedParent (if it exists)

  Specified by:
    `getProtegeAllowedParentProperty` in interface `OWLModel`
  Returns:
    the property or null

### getOWLValueType

    public edu.stanford.smi.protege.model.ValueType getOWLValueType(String uri)

  Description copied from interface: `OWLModel`
  Gets the Protege ValueType that represents a given URI string.

  Specified by:
    `getOWLValueType` in interface `OWLModel`
  Parameters:
    `uri` - the URI (e.g., "http://www.w3.org/2001/XMLSchema#float")
  Returns:
    the ValueType or null if uri is invalid

### getRDFIndividual

    public RDFIndividual getRDFIndividual(String name)

  Specified by:
    `getRDFIndividual` in interface `OWLModel`

### getRDFIndividuals

    public Collection<RDFIndividual> getRDFIndividuals()

  Description copied from interface: `OWLModel`
  Gets those Instances in the ontology that are instances of an RDFSNamedClass. This includes all OWL individuals.

  Specified by:
    `getRDFIndividuals` in interface `OWLModel`
  Returns:
    the RDF instances

### getRDFIndividuals

    public Collection<RDFIndividual> getRDFIndividuals(boolean onlyVisibleClasses)

  Description copied from interface: `OWLModel`
  Gets those Instances in the ontology that are instances of an RDFSNamedClass.

  Specified by:
    `getRDFIndividuals` in interface `OWLModel`
  Parameters:
    `onlyVisibleClasses` - true to only return instances of visible classes.
  Returns:
    the RDF instances

### getRDFSNamedClass

    public RDFSNamedClass getRDFSNamedClass(String name)

  Specified by:
    `getRDFSNamedClass` in interface `OWLModel`

### getRDFProperty

    public RDFProperty getRDFProperty(String name)

  Description copied from interface: `OWLModel`
  A convenience method to access a slot as RDFProperty.

  Specified by:
    `getRDFProperty` in interface `OWLModel`
  Parameters:
    `name` - the name of the slot to get
  Returns:
    `(RDFProperty) getSlot(name)`

### getProtegeReadOnlyProperty

    public RDFProperty getProtegeReadOnlyProperty()

  Description copied from interface: `OWLModel`
  The Protege readOnly property has a special behavior required by NCI. First of all, it is only relevant for annotation properties. If we view a change to an annotation value as the removal of an annotation assertion axiom followed by adding a different annotation assertion axiom then the rules can be stated as 1. if p is a readOnly annotation property then a user is allowed to add an assertion 2. if p is a readOnly annotation property then a user is not allowed to remove an assertion

  Specified by:
    `getProtegeReadOnlyProperty` in interface `OWLModel`
  Returns:
    the Slot ProtegeNames.READ_ONLY

### getRDFSDatatypeByName

    public RDFSDatatype getRDFSDatatypeByName(String name)

  Description copied from interface: `OWLModel`
  Gets an XML Schema Datatype using the prefix notation (e.g. "xsd:int").

  Specified by:
    `getRDFSDatatypeByName` in interface `OWLModel`
  Parameters:
    `name` - the name of the datatype to get
  Returns:
    the RDFSDatatype

### getRDFSDatatypeByURI

    public RDFSDatatype getRDFSDatatypeByURI(String uri)

  Description copied from interface: `OWLModel`
  Gets an XML Schema Datatype by its URI (e.g. XSDDatatype.XSDint).

  Specified by:
    `getRDFSDatatypeByURI` in interface `OWLModel`
  Parameters:
    `uri` - the URI of the datatype to get
  Returns:
    the RDFSDatatype

### getRDFSDatatypeOfValue

    public RDFSDatatype getRDFSDatatypeOfValue(Object valueOrRDFSLiteral)

  Description copied from interface: `OWLModel`
  Gets the RDFSDatatype of a given primitive value, which can be either a standard value (e.g. Integer, Float), or an RDFSLiteral.

  Specified by:
    `getRDFSDatatypeOfValue` in interface `OWLModel`
  Parameters:
    `valueOrRDFSLiteral` - the value object
  Returns:
    the RDFSDatatype of this value

### getRDFSDatatypes

    public Collection<RDFSDatatype> getRDFSDatatypes()

  Description copied from interface: `OWLModel`
  Gets a Collection of the (named) RDF/XML Schema datatypes.

  Specified by:
    `getRDFSDatatypes` in interface `OWLModel`
  Returns:
    the datatype objects (instance of RDFSDatatype)

### getOWLRestrictionMetaclasses

    public RDFSNamedClass[] getOWLRestrictionMetaclasses()

  Description copied from interface: `OWLModel`
  Gets the metaclasses of the available OWLRestriction kinds.

  Specified by:
    `getOWLRestrictionMetaclasses` in interface `OWLModel`
  Returns:
    an Array of metaclasses

### getSystemAnnotationProperties

    public RDFProperty[] getSystemAnnotationProperties()

  Description copied from interface: `OWLModel`
  Gets the pre-defined system annotation slots such as rdfs:comment.

  Specified by:
    `getSystemAnnotationProperties` in interface `OWLModel`
  Returns:
    the system annotation slots

### getTodoAnnotationPrefix

    public String getTodoAnnotationPrefix()

  Description copied from interface: `OWLModel`
  Gets the prefix used to distinguish "to-do" list items from other values of the to-do list property.

  Specified by:
    `getTodoAnnotationPrefix` in interface `OWLModel`
  Returns:
    the current prefix (as specified in an owl:Ontology annotation)

### getTodoAnnotationProperty

    public OWLDatatypeProperty getTodoAnnotationProperty()

  Description copied from interface: `OWLModel`
  Gets the (annotation) slot that is used to represent "to-do" list items in this knowledge base. This can be specified using the appropriate annotation value in the owl:Ontology.

  Specified by:
    `getTodoAnnotationProperty` in interface `OWLModel`
  Returns:
    the current to-do slot (default: OWLNames.Slot.VERSION_INFO)

### getTripleStoreModel

    public TripleStoreModel getTripleStoreModel()

  Specified by:
    `getTripleStoreModel` in interface `OWLModel`

### getUsedLanguages

    public String[] getUsedLanguages()

  Description copied from interface: `OWLModel`
  Gets the list of language prefixes defined by the user in the owl:Ontology. This can be used to provide default values in language selection boxes.

  Specified by:
    `getUsedLanguages` in interface `OWLModel`
  Returns:
    a list of language prefixes (e.g. ["de", "en", "fr"])

### getUserDefinedOWLNamedClasses

    public Collection getUserDefinedOWLNamedClasses()

  Description copied from interface: `OWLModel`
  Gets a Collection of all user-defined named OWL classes in this knowledge base. Note that this returns neither anonymous classes such as Restrictions nor system classes. like owl:Thing and owl:Nothing.

  Specified by:
    `getUserDefinedOWLNamedClasses` in interface `OWLModel`
  Returns:
    a Collection of OWLNamedClass instances

### getUserDefinedRDFIndividuals

    public Collection getUserDefinedRDFIndividuals(boolean onlyVisibleClasses)

  Description copied from interface: `OWLModel`
  Gets all non-system individuals in this OWLModel.

  Specified by:
    `getUserDefinedRDFIndividuals` in interface `OWLModel`
  Parameters:
    `onlyVisibleClasses` - true to only return instances of visible classes
  Returns:
    a collection of RDFResources

### getUserDefinedOWLProperties

    public Collection getUserDefinedOWLProperties()

  Description copied from interface: `OWLModel`
  Gets a Collection of all user-defined OWLProperties in this knowledge base.

  Specified by:
    `getUserDefinedOWLProperties` in interface `OWLModel`
  Returns:
    a Collection of OWLProperty objects

### getUserDefinedOWLObjectProperties

    public Collection getUserDefinedOWLObjectProperties()

  Description copied from interface: `OWLModel`
  Gets a Collection of all user-defined OWLObjectProperties in this knowledge base.

  Specified by:
    `getUserDefinedOWLObjectProperties` in interface `OWLModel`
  Returns:
    a Collection of OWLObjectProperty objects.

### getUserDefinedOWLDatatypeProperties

    public Collection getUserDefinedOWLDatatypeProperties()

  Description copied from interface: `OWLModel`
  Gets a Collection of all user-defined OWLDatatypeProperties in this knowledge base.

  Specified by:
    `getUserDefinedOWLDatatypeProperties` in interface `OWLModel`
  Returns:
    a Collection of OWLDatatypeProperty objects.

### getUserDefinedRDFProperties

    public Collection getUserDefinedRDFProperties()

  Description copied from interface: `OWLModel`
  Gets all user-defined RDF properties in this OWLModel.

  Specified by:
    `getUserDefinedRDFProperties` in interface `OWLModel`
  Returns:
    a collection of RDFProperty instances

### getUserDefinedRDFSNamedClasses

    public Collection getUserDefinedRDFSNamedClasses()

  Description copied from interface: `OWLModel`
  Gets all user-defined RDFSClses including the OWLNamedClses.

  Specified by:
    `getUserDefinedRDFSNamedClasses` in interface `OWLModel`
  Returns:
    the user-defined RDFSNamedClasses

### getValueTypeURI

    public String getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)

  Description copied from interface: `OWLModel`
  The inverse of `getValueType`.

  Specified by:
    `getValueTypeURI` in interface `OWLModel`
  Returns:
    the OWL URI of a given ValueType

### getVisibleUserDefinedOWLProperties

    public Collection getVisibleUserDefinedOWLProperties()

  Description copied from interface: `OWLModel`
  Gets a Collection of all user-defined, visible OWLProperties in this knowledge base.

  Specified by:
    `getVisibleUserDefinedOWLProperties` in interface `OWLModel`
  Returns:
    a Collection of OWLProperty objects

### getVisibleUserDefinedRDFProperties

    public Collection getVisibleUserDefinedRDFProperties()

  Description copied from interface: `OWLModel`
  Gets all visible, user-defined RDF properties in this knowledge base.

  Specified by:
    `getVisibleUserDefinedRDFProperties` in interface `OWLModel`
  Returns:
    a collection of RDFProperty instances

### asRDFSLiteral

    public RDFSLiteral asRDFSLiteral(Object value)

  Description copied from interface: `OWLModel`
  Gets an RDFSLiteral for a given value. If the value is already an RDFSLiteral, then the method will return it. If the value is a String, Float, Integer or Boolean, then the method will wrap it into a corresponding RDFSLiteral. If the object is null, then the method return null. Objects of other types are not permitted for this method. This is a convenience method to post-process those calls that return either an Object or an RDFSLiteral, if only an RDFSLiteral is desired.

  Specified by:
    `asRDFSLiteral` in interface `OWLModel`
  Parameters:
    `value` - a primitive value or an RDFSLiteral
  Returns:
    an RDFSLiteral of the same value or null if value is null

### asRDFObject

    public RDFObject asRDFObject(Object object)

  Description copied from interface: `OWLModel`
  Gets an `RDFObject` for a given value. If the value is already an RDFObject then the method will simply return it. If the value is already an RDFSLiteral, then the method will return it. If the value is a String, Float, Integer or Boolean, then the method will wrap it up into a corresponding RDFSLiteral which will be returned as an RDFObject. If the object is an RDFResourece then the method will return it. If the object is `null` the the method will return `null`.

  Specified by:
    `asRDFObject` in interface `OWLModel`
  Parameters:
    `object` - the object to convert
  Returns:
    an RDFObject with the same value

### asRDFSLiterals

    public List asRDFSLiterals(Collection values)

  Specified by:
    `asRDFSLiterals` in interface `OWLModel`

### isAnonymousResource

    @Deprecated
    public boolean isAnonymousResource(RDFResource resource)

  Deprecated.

  Specified by:
    `isAnonymousResource` in interface `OWLModel`
  See Also:
    `RDFResource.isAnonymous()`

### isAnonymousResourceName

    public boolean isAnonymousResourceName(String name)

  Specified by:
    `isAnonymousResourceName` in interface `OWLModel`

### isDefaultAnonymousType

    public boolean isDefaultAnonymousType(edu.stanford.smi.protege.model.Cls type)

### isDefaultAnonymousType

    public boolean isDefaultAnonymousType(Collection types)

### isOWLSystemFrame

    @Deprecated
    public boolean isOWLSystemFrame(edu.stanford.smi.protege.model.Frame frame)

  Deprecated.

  Description copied from interface: `OWLModel`
  Checks whether a given frame is one of the results of `getOWLSystemResources`.

  Specified by:
    `isOWLSystemFrame` in interface `OWLModel`
  Parameters:
    `frame` - the Frame to check
  Returns:
    true if frame is one of the system frames

### isProtegeMetaOntologyImported

    public boolean isProtegeMetaOntologyImported()

  Specified by:
    `isProtegeMetaOntologyImported` in interface `OWLModel`

### isTrueInstance

    public boolean isTrueInstance(edu.stanford.smi.protege.model.Instance instance)

### listOWLAnonymousClasses

    public Iterator<OWLAnonymousClass> listOWLAnonymousClasses()

  Description copied from interface: `OWLModel`
  Gets an Iterator of all OWLAnonymousClasses in the ontology.

  Specified by:
    `listOWLAnonymousClasses` in interface `OWLModel`
  Returns:
    an Iterator of OWLAnonymousClass objects

### listOWLNamedClasses

    public Iterator listOWLNamedClasses()

  Description copied from interface: `OWLModel`
  Gets an Iterator on all OWLNamedClasses in the ontology, including system classes.

  Specified by:
    `listOWLNamedClasses` in interface `OWLModel`
  Returns:
    an Iterator of OWLNamedClass objects

### listRDFProperties

    public Iterator listRDFProperties()

  Description copied from interface: `OWLModel`
  Gets an Iterator on all RDFProperties in the model, including system properties.

  Specified by:
    `listRDFProperties` in interface `OWLModel`
  Returns:
    an Iterator of RDFProperty objects

### listRDFSNamedClasses

    public Iterator listRDFSNamedClasses()

  Description copied from interface: `OWLModel`
  Gets an Iterator on all RDFSNamedClasses in the ontology, including system classes.

  Specified by:
    `listRDFSNamedClasses` in interface `OWLModel`
  Returns:
    an Iterator of RDFSNamedClass objects

### listReferences

    public Iterator listReferences(Object object,
                                   int maxResults)

  Description copied from interface: `OWLModel`
  Finds all references to a given object, i.e. all triples that have the given object as their object.

  Specified by:
    `listReferences` in interface `OWLModel`
  Parameters:
    `object` - the object to look for
    `maxResults` - the maximum number of expected results
  Returns:
    an Iterator of type Tuple

### listSubjects

    public Iterator listSubjects(RDFProperty property)

  Description copied from interface: `OWLModel`
  The the subjects of all triples where a given property has any value. The Iterator does not contain duplicates.

  Specified by:
    `listSubjects` in interface `OWLModel`
  Parameters:
    `property` - the property to look for
  Returns:
    an Iterator of RDFResources

### setDirectType

    public edu.stanford.smi.protege.model.Instance setDirectType(edu.stanford.smi.protege.model.Instance instance,
                                                                 edu.stanford.smi.protege.model.Cls type)

  Specified by:
    `setDirectType` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `setDirectType` in interface `ProtegeKnowledgeBase`
  Overrides:
    `setDirectType` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`
  See Also:
    `RDFResource.setProtegeType(edu.stanford.smi.protegex.owl.model.RDFSClass)`

### setLoadDefaults

    public void setLoadDefaults(boolean value)

### setProject

    public void setProject(edu.stanford.smi.protege.model.Project project)

  Specified by:
    `setProject` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `setProject` in interface `ProtegeKnowledgeBase`
  Overrides:
    `setProject` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### createDefaultLanguageListener

    protected edu.stanford.smi.protege.event.FrameListener createDefaultLanguageListener()

### setSearchSynonymProperties

    public void setSearchSynonymProperties(Collection slots)

  Specified by:
    `setSearchSynonymProperties` in interface `OWLModel`
  See Also:
    `OWLModel.getSearchSynonymProperties()`

### setDefaultAnnotationPropertiesInView

    public void setDefaultAnnotationPropertiesInView(Collection slots)

### setTaskManager

    public void setTaskManager(TaskManager taskManager)

  Description copied from interface: `OWLModel`
  Sets the TaskManager.

  Specified by:
    `setTaskManager` in interface `OWLModel`
  Parameters:
    `taskManager` - the new TaskManager (not null)
  See Also:
    `OWLModel.getTaskManager()`

### getRDFResourceByBrowserText

    public RDFResource getRDFResourceByBrowserText(String text)

  Description copied from interface: `OWLModel`
  Gets the first resource that has a given browser text. This call is extremely inefficient, because it might iterate through all resources in the knowledge base.

  Specified by:
    `getRDFResourceByBrowserText` in interface `OWLModel`
  Parameters:
    `text` - the browser text
  Returns:
    the Instance or null

### getRDFResourceByNameOrBrowserText

    public RDFResource getRDFResourceByNameOrBrowserText(String text)

  Description copied from interface: `OWLModel`
  Gets the first instance that has a given name or browser text. This call is much faster than the getRDFResourceByBrowserText if the default browser key (:NAME) is used.

  Specified by:
    `getRDFResourceByNameOrBrowserText` in interface `OWLModel`
  Returns:
    the Instance or null

### getRDFSClassCount

    public int getRDFSClassCount()

  Description copied from interface: `OWLModel`
  Gets the number of rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes. This is equivalent to `getRDFSClasses().size()`.

  Specified by:
    `getRDFSClassCount` in interface `OWLModel`
  Returns:
    the number of classes

### getRDFSClasses

    public Collection getRDFSClasses()

  Description copied from interface: `OWLModel`
  Gets all rdfs:Classes (or owl:Classes) in this model, including anonymous classes and system classes.

  Specified by:
    `getRDFSClasses` in interface `OWLModel`
  Returns:
    a Collection of RDFSClass objects

### getRDFSDatatypeFactory

    public RDFSDatatypeFactory getRDFSDatatypeFactory()

  Specified by:
    `getRDFSDatatypeFactory` in interface `OWLModel`

### getResourcesWithPrefix

    public Collection getResourcesWithPrefix(String prefix)

  Description copied from interface: `OWLModel`
  Gets all resource in this that have a given prefix.

  Specified by:
    `getResourcesWithPrefix` in interface `OWLModel`
  Parameters:
    `prefix` - the prefix to search for
  Returns:
    a Collection of the matching NamespaceInstances

### getVisibleResources

    public List getVisibleResources(Iterator iterator)

  Description copied from interface: `OWLModel`
  Gets a list of resources, only containing the visible entries of a given Iterator.

  Specified by:
    `getVisibleResources` in interface `OWLModel`
  Parameters:
    `iterator` - an Iterator of RDFResources
  Returns:
    a sublist of iterator

### isSlotMetaCls

    public boolean isSlotMetaCls(edu.stanford.smi.protege.model.Cls cls)

  Specified by:
    `isSlotMetaCls` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `isSlotMetaCls` in interface `ProtegeKnowledgeBase`
  Overrides:
    `isSlotMetaCls` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### resetJenaModel

    public void resetJenaModel()

  Description copied from interface: `OWLModel`
  resets the Jena model so that it can be rebuilt.

  Specified by:
    `resetJenaModel` in interface `OWLModel`

### getPropertyValueLiterals

    public Collection getPropertyValueLiterals(RDFResource resource,
                                               RDFProperty property)

### getValueLiterals

    public List getValueLiterals(List values)

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.KnowledgeBase`
  Specified by:
    `setDirectOwnSlotValues` in interface `ProtegeKnowledgeBase`
  Overrides:
    `setDirectOwnSlotValues` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`
  See Also:
    `RDFResource.setPropertyValues(edu.stanford.smi.protegex.owl.model.RDFProperty, java.util.Collection)`

### convertRDFSLiteralsToInternalFormat

    public static List convertRDFSLiteralsToInternalFormat(Collection values)

### convertRDFSLiteralToInternalFormat

    public static Object convertRDFSLiteralToInternalFormat(Object o)

### addOWLTest

    public void addOWLTest(OWLTest test)

  Specified by:
    `addOWLTest` in interface `OWLTestManager`

### getOWLTests

    public OWLTest[] getOWLTests()

  Specified by:
    `getOWLTests` in interface `OWLTestManager`

### isAutoRepairEnabled

    public boolean isAutoRepairEnabled()

  Specified by:
    `isAutoRepairEnabled` in interface `OWLTestManager`

### isOWLTestGroupEnabled

    public boolean isOWLTestGroupEnabled(String groupName)

  Specified by:
    `isOWLTestGroupEnabled` in interface `OWLTestManager`

### removeOWLTest

    public void removeOWLTest(OWLTest test)

  Specified by:
    `removeOWLTest` in interface `OWLTestManager`

### setAutoRepairEnabled

    public void setAutoRepairEnabled(boolean value)

  Specified by:
    `setAutoRepairEnabled` in interface `OWLTestManager`

### setOWLTestGroupEnabled

    public void setOWLTestGroupEnabled(String groupName,
                                       boolean value)

  Specified by:
    `setOWLTestGroupEnabled` in interface `OWLTestManager`

### getCacheMachine

    public edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine getCacheMachine()

  Overrides:
    `getCacheMachine` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### setCacheMachine

    public void setCacheMachine(edu.stanford.smi.protege.server.framestore.background.ServerCacheStateMachine machine)

  Overrides:
    `setCacheMachine` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### adjustForClient

    protected void adjustForClient()

  Overrides:
    `adjustForClient` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

### isValidResourceName

    public boolean isValidResourceName(String name,
                                       RDFResource resource)

  Description copied from interface: `OWLModel`
  Checks whether a given String would be a valid name for a given resource.

  Specified by:
    `isValidResourceName` in interface `OWLModel`
  Parameters:
    `name` - the potential name of the resource
    `resource` - the RDFResource to test
  Returns:
    true if the resource could be renamed to name

### createUniqueNewFrameName

    public String createUniqueNewFrameName(String baseName)

### getResourceNameForURI

    public String getResourceNameForURI(String uri)

  Description copied from interface: `OWLModel`
  Gets the name of a Frame by converting a URI. The name in the format prefix:localName. If the namespace of the URI is the default namespace, then the prefix will be empty and the name will consist of only the local name.

  Specified by:
    `getResourceNameForURI` in interface `OWLModel`
  Parameters:
    `uri` - a fully qualified URI
  Returns:
    the name of the corresponding Frame

### isValidOWLFrameName

    public boolean isValidOWLFrameName(String name)

### isValidOWLFrameName

    public static boolean isValidOWLFrameName(NamespaceManager nsm,
                                              String name)

### getValidNamespaceFrameName

    public String getValidNamespaceFrameName(String suggestedName)

### getValidOWLFrameName

    public static String getValidOWLFrameName(AbstractOWLModel kb,
                                              String suggestedName)

### getLocalNameForURI

    public String getLocalNameForURI(String uri)

  Description copied from interface: `OWLModel`
  Gets the local part of an URI, e.g. for `http://www.aldi.de/ontologies#Hans` this will return the String `Hans`.

  Specified by:
    `getLocalNameForURI` in interface `OWLModel`
  Parameters:
    `uri` - the fully qualified URI
  Returns:
    the local name in the URI

### getNamespaceManager

    public NamespaceManager getNamespaceManager()

  Description copied from interface: `OWLModel`
  Gets the NamespaceManager used by this knowledge base.

  Specified by:
    `getNamespaceManager` in interface `OWLModel`
  Returns:
    the NamespaceManager

### getNamespaceForURI

    public String getNamespaceForURI(String uri)

  Description copied from interface: `OWLModel`
  Gets the namespace part of a given URI. For `http://www.aldi.de/ontologies#Hans` this will return `http://www.aldi.de/ontologies#`.

  Specified by:
    `getNamespaceForURI` in interface `OWLModel`
  Parameters:
    `uri` - the fully qualified URI
  Returns:
    the namespace including the #

### getPrefixForResourceName

    public String getPrefixForResourceName(String name)

  Specified by:
    `getPrefixForResourceName` in interface `OWLModel`

### getUniqueFrameName

    public String getUniqueFrameName(String name)

  Description copied from interface: `OWLModel`
  Generates a unique URI for a Frame given a base URI. For example, if you pass in "http://a.com/MyOntology#Class" the method will generate the unique URI "http://a.com/MyOntology#Class_42" or the like.

  Specified by:
    `getUniqueFrameName` in interface `OWLModel`
  Parameters:
    `name` - a partial URI
  Returns:
    a unique URI for a new resource

### getURIForResourceName

    public String getURIForResourceName(String name)

  Specified by:
    `getURIForResourceName` in interface `OWLModel`

### getNamespaceForResourceName

    @Deprecated
    public String getNamespaceForResourceName(String resourceName)

  Deprecated. Use `getNamespaceForURI(String)`

  Specified by:
    `getNamespaceForResourceName` in interface `OWLModel`

### getFrameNameForURI

    @Deprecated
    public String getFrameNameForURI(String uri,
                                                boolean generatePrefix)

  Deprecated.

### getLocalNameForResourceName

    @Deprecated
    public String getLocalNameForResourceName(String frameName)

  Deprecated. Use `getLocalNameForURI(String)`

  Specified by:
    `getLocalNameForResourceName` in interface `OWLModel`

### getRDFUntypedResourcesClass

    public RDFSNamedClass getRDFUntypedResourcesClass()

  Description copied from interface: `OWLModel`
  Gets the internal type of all untyped resources.

  Specified by:
    `getRDFUntypedResourcesClass` in interface `OWLModel`
  Returns:
    the class of untyped resources

### getOWLDatatypePropertyMetaClassCls

    public OWLNamedClass getOWLDatatypePropertyMetaClassCls()

### getOWLObjectPropertyMetaClassCls

    public OWLNamedClass getOWLObjectPropertyMetaClassCls()

### getOWLAllDifferentClassCls

    public RDFSNamedClass getOWLAllDifferentClassCls()

### getOWLNamedClassMetaClassCls

    public OWLNamedClass getOWLNamedClassMetaClassCls()

### getOWLOntologyCls

    public OWLNamedClass getOWLOntologyCls()

### getRDFListCls

    public RDFSNamedClass getRDFListCls()

### getRDFSClassMetaClassCls

    public OWLNamedClass getRDFSClassMetaClassCls()

### getOWLNothing

    public OWLNamedClass getOWLNothing()

  Description copied from interface: `OWLModel`
  Gets the system class `owl:Nothing`, which represents the empty set for reasoners.

  Specified by:
    `getOWLNothing` in interface `OWLModel`
  Returns:
    the Nothing class

### getOWLSomeValuesFromRestrictionClass

    public RDFSNamedClass getOWLSomeValuesFromRestrictionClass()

  Description copied from interface: `OWLModel`
  Gets the meta class that represents some values from restrictions.

  Specified by:
    `getOWLSomeValuesFromRestrictionClass` in interface `OWLModel`
  Returns:
    the class of all somevaluesfrom restrictions.

### getRDFSSubPropertyOfProperty

    public RDFProperty getRDFSSubPropertyOfProperty()

  Description copied from interface: `OWLModel`
  Gets the property rdfs:subPropertyOf

  Specified by:
    `getRDFSSubPropertyOfProperty` in interface `OWLModel`
  Returns:
    rdfs:subPropertyOf

### getOWLThingClass

    public OWLNamedClass getOWLThingClass()

  Description copied from interface: `OWLModel`
  Gets the root class of the OWL class hierarchy (owl:Thing).

  Specified by:
    `getOWLThingClass` in interface `OWLModel`
  Returns:
    the owlThingClass

### getOWLClassMetaCls

    public RDFSNamedClass getOWLClassMetaCls()

  Returns:
    the owlClassMetaCls

### getRDFSNamedClassClass

    public OWLNamedClass getRDFSNamedClassClass()

  Description copied from interface: `OWLModel`
  Gets the rdfs:Class metaclass

  Specified by:
    `getRDFSNamedClassClass` in interface `OWLModel`
  Returns:
    the rdfsNamedClassClass

### getOWLNamedClassClass

    public OWLNamedClass getOWLNamedClassClass()

  Description copied from interface: `OWLModel`
  Gets the standard metaclass of all named classes.

  Specified by:
    `getOWLNamedClassClass` in interface `OWLModel`
  Returns:
    the owlNamedClassClass

### getOWLDeprecatedClassClass

    public RDFSNamedClass getOWLDeprecatedClassClass()

  Specified by:
    `getOWLDeprecatedClassClass` in interface `OWLModel`
  Returns:
    the owlDeprecatedClassClass

### getAnonymousClassMetaCls

    public OWLNamedClass getAnonymousClassMetaCls()

  Returns:
    the anonymousClassMetaCls

### getOWLEnumeratedClassClass

    public RDFSNamedClass getOWLEnumeratedClassClass()

  Returns:
    the owlEnumeratedClassClass

### getOWLRestrictionClass

    public RDFSNamedClass getOWLRestrictionClass()

  Returns:
    the owlRestrictionClass

### getOWLAllValuesFromClass

    public RDFSNamedClass getOWLAllValuesFromClass()

  Returns:
    the owlAllValuesFromClass

### getOWLHasValueClass

    public RDFSNamedClass getOWLHasValueClass()

  Returns:
    the owlHasValueClass

### getOWLMaxCardinalityClass

    public RDFSNamedClass getOWLMaxCardinalityClass()

  Returns:
    the owlMaxCardinalityClass

### getOWLMinCardinalityClass

    public RDFSNamedClass getOWLMinCardinalityClass()

  Returns:
    the owlMinCardinalityClass

### getOWLCardinalityClass

    public RDFSNamedClass getOWLCardinalityClass()

  Returns:
    the owlCardinalityClass

### getOWLSomeValuesFromClass

    public RDFSNamedClass getOWLSomeValuesFromClass()

  Returns:
    the owlSomeValuesFromClass

### getOWLLogicalClassClass

    public RDFSNamedClass getOWLLogicalClassClass()

  Returns:
    the owlLogicalClassClass

### getOWLComplementClassClass

    public RDFSNamedClass getOWLComplementClassClass()

  Returns:
    the owlComplementClassClass

### getOWLIntersectionClassClass

    public RDFSNamedClass getOWLIntersectionClassClass()

  Returns:
    the owlIntersectionClassClass

### getOWLUnionClassClass

    public RDFSNamedClass getOWLUnionClassClass()

  Returns:
    the owlUnionClassClass

### getRDFPropertyClass

    public OWLNamedClass getRDFPropertyClass()

  Description copied from interface: `OWLModel`
  Gets the rdf:Property metaclass.

  Specified by:
    `getRDFPropertyClass` in interface `OWLModel`
  Returns:
    the rdfPropertyClass

### getOWLDatatypePropertyClass

    public OWLNamedClass getOWLDatatypePropertyClass()

  Description copied from interface: `OWLModel`
  Gets the standard metaclass of all datatype slots/properties.

  Specified by:
    `getOWLDatatypePropertyClass` in interface `OWLModel`
  Returns:
    the owlDatatypePropertyClass

### getOWLObjectPropertyClass

    public OWLNamedClass getOWLObjectPropertyClass()

  Description copied from interface: `OWLModel`
  Gets the standard metaclass of all object slots/properties.

  Specified by:
    `getOWLObjectPropertyClass` in interface `OWLModel`
  Returns:
    the owlObjectPropertyClass

### getOWLInverseFunctionalPropertyClass

    public OWLNamedClass getOWLInverseFunctionalPropertyClass()

  Specified by:
    `getOWLInverseFunctionalPropertyClass` in interface `OWLModel`
  Returns:
    the owlInverseFunctionalPropertyClass

### getOWLSymmetricPropertyClass

    public OWLNamedClass getOWLSymmetricPropertyClass()

  Returns:
    the owlSymmetricPropertyClass

### getOWLTransitivePropertyClass

    public OWLNamedClass getOWLTransitivePropertyClass()

  Returns:
    the owlTransitivePropertyClass

### getOWLAnnotationPropertyClass

    public OWLNamedClass getOWLAnnotationPropertyClass()

  Specified by:
    `getOWLAnnotationPropertyClass` in interface `OWLModel`
  Returns:
    the owlAnnotationPropertyClass

### getOWLFunctionalPropertyClass

    public OWLNamedClass getOWLFunctionalPropertyClass()

  Specified by:
    `getOWLFunctionalPropertyClass` in interface `OWLModel`
  Returns:
    the owlFunctionalPropertyClass

### getOWLDeprecatedPropertyClass

    public RDFSNamedClass getOWLDeprecatedPropertyClass()

  Returns:
    the owlDeprecatedPropertyClass

### getRDFSDatatypeClass

    public RDFSNamedClass getRDFSDatatypeClass()

  Returns:
    the rdfsDatatypeClass

### getOWLOntologyClass

    public OWLNamedClass getOWLOntologyClass()

  Specified by:
    `getOWLOntologyClass` in interface `OWLModel`
  Returns:
    the owlOntologyClass

### getOWLNothingClass

    public OWLNamedClass getOWLNothingClass()

  Returns:
    the owlNothingClass

### getRDFListClass

    public RDFSNamedClass getRDFListClass()

  Description copied from interface: `OWLModel`
  Gets the rdf:List class.

  Specified by:
    `getRDFListClass` in interface `OWLModel`
  Returns:
    the rdfListClass

### getOWLAllDifferentClass

    public RDFSNamedClass getOWLAllDifferentClass()

  Specified by:
    `getOWLAllDifferentClass` in interface `OWLModel`
  Returns:
    the owlAllDifferentClass

### getRDFSLiteralClass

    public RDFSNamedClass getRDFSLiteralClass()

  Deprecated. This is based on a wrong premise - there is no such class. Using this method can cause problems.

  Returns:
    the rdfsLiteralClass

### getRDFSContainerClass

    public RDFSNamedClass getRDFSContainerClass()

  Returns:
    the rdfsContainerClass

### getRDFAltClass

    public RDFSNamedClass getRDFAltClass()

  Returns:
    the rdfAltClass

### getRDFBagClass

    public RDFSNamedClass getRDFBagClass()

  Returns:
    the rdfBagClass

### getRDFSeqClass

    public RDFSNamedClass getRDFSeqClass()

  Returns:
    the rdfSeqClass

### getRDFStatementClass

    public RDFSNamedClass getRDFStatementClass()

  Returns:
    the rdfStatementClass

### getOWLDataRangeClass

    public RDFSNamedClass getOWLDataRangeClass()

  Description copied from interface: `OWLModel`
  Gets the class owl:DataRange, which is used to represent enumerations of datatype values.

  Specified by:
    `getOWLDataRangeClass` in interface `OWLModel`
  Returns:
    the owlDataRangeClass

### getAnonymousRootCls

    public RDFSNamedClass getAnonymousRootCls()

  Specified by:
    `getAnonymousRootCls` in interface `OWLModel`
  Returns:
    the anonymousRootCls

### getRDFExternalResourceClass

    public RDFSNamedClass getRDFExternalResourceClass()

  Specified by:
    `getRDFExternalResourceClass` in interface `OWLModel`
  Returns:
    the rdfExternalResourceClass
  See Also:
    `OWLModel.getRDFUntypedResourcesClass()`

### getRDFExternalClassClass

    public RDFSNamedClass getRDFExternalClassClass()

  Returns:
    the rdfExternalClassClass

### getRDFExternalPropertyClass

    public RDFSNamedClass getRDFExternalPropertyClass()

  Returns:
    the rdfExternalPropertyClass

### getTopOWLOntologyClass

    public RDFSNamedClass getTopOWLOntologyClass()

  Returns:
    the topOWLOntologyClass

### getOWLAllValuesFromProperty

    public RDFProperty getOWLAllValuesFromProperty()

  Returns:
    the owlAllValuesFromProperty

### getOWLBackwardCompatibleWithProperty

    public RDFProperty getOWLBackwardCompatibleWithProperty()

  Returns:
    the owlBackwardCompatibleWithProperty

### getOWLCardinalityProperty

    public RDFProperty getOWLCardinalityProperty()

  Specified by:
    `getOWLCardinalityProperty` in interface `OWLModel`
  Returns:
    the owlCardinalityProperty

### getOWLComplementOfProperty

    public RDFProperty getOWLComplementOfProperty()

  Returns:
    the owlComplementOfProperty

### getOWLDifferentFromProperty

    public RDFProperty getOWLDifferentFromProperty()

  Specified by:
    `getOWLDifferentFromProperty` in interface `OWLModel`
  Returns:
    the owlDifferentFromProperty

### getOWLDisjointWithProperty

    public RDFProperty getOWLDisjointWithProperty()

  Specified by:
    `getOWLDisjointWithProperty` in interface `OWLModel`
  Returns:
    the owlDisjointWithProperty

### getOWLDistinctMembersProperty

    public RDFProperty getOWLDistinctMembersProperty()

  Returns:
    the owlDistinctMembersProperty

### getOWLEquivalentClassProperty

    public RDFProperty getOWLEquivalentClassProperty()

  Specified by:
    `getOWLEquivalentClassProperty` in interface `OWLModel`
  Returns:
    the owlEquivalentClassProperty

### getOWLEquivalentPropertyProperty

    public RDFProperty getOWLEquivalentPropertyProperty()

  Specified by:
    `getOWLEquivalentPropertyProperty` in interface `OWLModel`
  Returns:
    the owlEquivalentPropertyProperty

### getOWLHasValueProperty

    public RDFProperty getOWLHasValueProperty()

  Returns:
    the owlHasValueProperty

### getOWLImportsProperty

    public RDFProperty getOWLImportsProperty()

  Returns:
    the owlImportsProperty

### getOWLIncompatibleWithProperty

    public RDFProperty getOWLIncompatibleWithProperty()

  Returns:
    the owlIncompatibleWithProperty

### getOWLIntersectionOfProperty

    public RDFProperty getOWLIntersectionOfProperty()

  Specified by:
    `getOWLIntersectionOfProperty` in interface `OWLModel`
  Returns:
    the owlIntersectionOfProperty

### getOWLInverseOfProperty

    public RDFProperty getOWLInverseOfProperty()

  Specified by:
    `getOWLInverseOfProperty` in interface `OWLModel`
  Returns:
    the owlInverseOfProperty

### getOWLMaxCardinalityProperty

    public RDFProperty getOWLMaxCardinalityProperty()

  Specified by:
    `getOWLMaxCardinalityProperty` in interface `OWLModel`
  Returns:
    the owlMaxCardinalityProperty

### getOWLMinCardinalityProperty

    public RDFProperty getOWLMinCardinalityProperty()

  Specified by:
    `getOWLMinCardinalityProperty` in interface `OWLModel`
  Returns:
    the owlMinCardinalityProperty

### getOWLOneOfProperty

    public RDFProperty getOWLOneOfProperty()

  Description copied from interface: `OWLModel`
  Gets the owl:oneOf property.

  Specified by:
    `getOWLOneOfProperty` in interface `OWLModel`
  Returns:
    the owlOneOfProperty

### getOWLOnPropertyProperty

    public RDFProperty getOWLOnPropertyProperty()

  Returns:
    the owlOnPropertyProperty

### getOWLPriorVersionProperty

    public RDFProperty getOWLPriorVersionProperty()

  Returns:
    the owlPriorVersionProperty

### getOWLSameAsProperty

    public RDFProperty getOWLSameAsProperty()

  Specified by:
    `getOWLSameAsProperty` in interface `OWLModel`
  Returns:
    the owlSameAsProperty

### getOWLSomeValuesFromProperty

    public RDFProperty getOWLSomeValuesFromProperty()

  Returns:
    the owlSomeValuesFromProperty

### getOWLUnionOfProperty

    public RDFProperty getOWLUnionOfProperty()

  Specified by:
    `getOWLUnionOfProperty` in interface `OWLModel`
  Returns:
    the owlUnionOfProperty

### getOWLValuesFromProperty

    public RDFProperty getOWLValuesFromProperty()

  Description copied from interface: `OWLModel`
  Gets the owl:valuesFrom property (used for qualified cardinality restrictions.

  Specified by:
    `getOWLValuesFromProperty` in interface `OWLModel`
  Returns:
    the owlValuesFromProperty

### getOWLVersionInfoProperty

    public RDFProperty getOWLVersionInfoProperty()

  Specified by:
    `getOWLVersionInfoProperty` in interface `OWLModel`
  Returns:
    the owlVersionInfoProperty

### getProtegeClassificationStatusProperty

    public RDFProperty getProtegeClassificationStatusProperty()

  Description copied from interface: `OWLModel`
  Gets the property that is used internally to store the classification status of a class.

  Specified by:
    `getProtegeClassificationStatusProperty` in interface `OWLModel`
  Returns:
    the protegeClassificationStatusProperty

### getProtegeInferredSubclassesProperty

    public RDFProperty getProtegeInferredSubclassesProperty()

  Specified by:
    `getProtegeInferredSubclassesProperty` in interface `OWLModel`
  Returns:
    the protegeInferredSubclassesProperty

### getProtegeInferredSuperclassesProperty

    public RDFProperty getProtegeInferredSuperclassesProperty()

  Specified by:
    `getProtegeInferredSuperclassesProperty` in interface `OWLModel`
  Returns:
    the protegeInferredSuperclassesProperty

### getProtegeInferredTypeProperty

    public RDFProperty getProtegeInferredTypeProperty()

  Returns:
    the protegeInferredTypeProperty

### getRDFFirstProperty

    public RDFProperty getRDFFirstProperty()

  Description copied from interface: `OWLModel`
  Gets the rdf:first property.

  Specified by:
    `getRDFFirstProperty` in interface `OWLModel`
  Returns:
    the rdfFirstProperty

### getRDFObjectProperty

    public RDFProperty getRDFObjectProperty()

  Returns:
    the rdfObjectProperty

### getRDFPredicateProperty

    public RDFProperty getRDFPredicateProperty()

  Returns:
    the rdfPredicateProperty

### getRDFRestProperty

    public RDFProperty getRDFRestProperty()

  Description copied from interface: `OWLModel`
  Gets the rdf:rest property, which is used to describe the rest of an rdf:List.

  Specified by:
    `getRDFRestProperty` in interface `OWLModel`
  Returns:
    the rdfRestSlot

### getRDFSubjectProperty

    public RDFProperty getRDFSubjectProperty()

  Returns:
    the rdfSubjectProperty

### getRDFTypeProperty

    public RDFProperty getRDFTypeProperty()

  Description copied from interface: `OWLModel`
  Gets the rdf:type property.

  Specified by:
    `getRDFTypeProperty` in interface `OWLModel`
  Returns:
    the rdfTypeProperty

### getRDFValueProperty

    public RDFProperty getRDFValueProperty()

  Returns:
    the rdfValueProperty

### getRDFSCommentProperty

    public OWLDatatypeProperty getRDFSCommentProperty()

  Specified by:
    `getRDFSCommentProperty` in interface `OWLModel`
  Returns:
    the rdfsCommentProperty

### getRDFSDomainProperty

    public RDFProperty getRDFSDomainProperty()

  Description copied from interface: `OWLModel`
  Gets the rdfs:domain property.

  Specified by:
    `getRDFSDomainProperty` in interface `OWLModel`
  Returns:
    the rdfsDomainProperty

### getRDFSIsDefinedByProperty

    public RDFProperty getRDFSIsDefinedByProperty()

  Specified by:
    `getRDFSIsDefinedByProperty` in interface `OWLModel`
  Returns:
    the rdfsIsDefinedByProperty

### getRDFSLabelProperty

    public RDFProperty getRDFSLabelProperty()

  Specified by:
    `getRDFSLabelProperty` in interface `OWLModel`
  Returns:
    the rdfsLabelProperty

### getRDFSMemberProperty

    public RDFProperty getRDFSMemberProperty()

  Returns:
    the rdfsMemberProperty

### getRDFSRangeProperty

    public RDFProperty getRDFSRangeProperty()

  Description copied from interface: `OWLModel`
  Gets the rdfs:range property.

  Specified by:
    `getRDFSRangeProperty` in interface `OWLModel`
  Returns:
    the rdfsRangeProperty

### getRDFSSeeAlsoProperty

    public RDFProperty getRDFSSeeAlsoProperty()

  Returns:
    the rdfsSeeAlsoProperty

### getRDFSSubClassOfProperty

    public RDFProperty getRDFSSubClassOfProperty()

  Specified by:
    `getRDFSSubClassOfProperty` in interface `OWLModel`
  Returns:
    the rdfsSubClassOfProperty

### getRDFSSubPropertyOf

    public RDFProperty getRDFSSubPropertyOf()

  Returns:
    the rdfsSubPropertyOf

### getOWLOntologyPrefixesProperty

    public RDFProperty getOWLOntologyPrefixesProperty()

  Returns:
    the owlOntologyPrefixesProperty

### getOWLResourceURIProperty

    public RDFProperty getOWLResourceURIProperty()

  Returns:
    the owlResourceURIProperty

### getTopOWLOntologyURISlot

    public RDFProperty getTopOWLOntologyURISlot()

  Returns:
    the topOWLOntologyURISlot

### getRDFNil

    public RDFList getRDFNil()

  Description copied from interface: `OWLModel`
  Gets the placeholder for empty rdf:Lists.

  Specified by:
    `getRDFNil` in interface `OWLModel`
  Returns:
    the rdfNilIndividual

### getRDFDatatypes

    public Set<RDFSDatatype> getRDFDatatypes()

  Returns:
    the rdfDatatypes

### getFloatDatatypes

    public Set<RDFSDatatype> getFloatDatatypes()

  Description copied from interface: `OWLModel`
  Gets all float XML Schema datatypes, including xsd:float etc. For these datatypes, the method RDFSLiteral.getFloat() is valid.

  Specified by:
    `getFloatDatatypes` in interface `OWLModel`
  Returns:
    the floatDatatypes

### getIntegerDatatypes

    public Set<RDFSDatatype> getIntegerDatatypes()

  Description copied from interface: `OWLModel`
  Gets all integer XML Schema datatypes, including xsd:int etc. For these datatypes, the method RDFSLiteral.getInt() is valid.

  Specified by:
    `getIntegerDatatypes` in interface `OWLModel`
  Returns:
    the integerDatatypes

### getXSDboolean

    public RDFSDatatype getXSDboolean()

  Description copied from interface: `OWLModel`
  Gets the default datatype for boolean values.

  Specified by:
    `getXSDboolean` in interface `OWLModel`
  Returns:
    xsd:boolean

### getXSDdouble

    public RDFSDatatype getXSDdouble()

  Description copied from interface: `OWLModel`
  Gets the default datatype for double values.

  Specified by:
    `getXSDdouble` in interface `OWLModel`
  Returns:
    xsd:double

### getXSDfloat

    public RDFSDatatype getXSDfloat()

  Description copied from interface: `OWLModel`
  Gets the default datatype for float values.

  Specified by:
    `getXSDfloat` in interface `OWLModel`
  Returns:
    xsd:float

### getXSDlong

    public RDFSDatatype getXSDlong()

  Description copied from interface: `OWLModel`
  Gets the default datatype for long values.

  Specified by:
    `getXSDlong` in interface `OWLModel`
  Returns:
    xsd:long

### getXSDint

    public RDFSDatatype getXSDint()

  Description copied from interface: `OWLModel`
  Gets the default datatype for integer values.

  Specified by:
    `getXSDint` in interface `OWLModel`
  Returns:
    xsd:int

### getXSDNonNegativeInteger

    public RDFSDatatype getXSDNonNegativeInteger()

  Description copied from interface: `OWLModel`
  Gets the default datatype for non-negative values

  Specified by:
    `getXSDNonNegativeInteger` in interface `OWLModel`

### getXSDshort

    public RDFSDatatype getXSDshort()

  Description copied from interface: `OWLModel`
  Gets the default datatype for short values.

  Specified by:
    `getXSDshort` in interface `OWLModel`
  Returns:
    xsd:short

### getXSDbyte

    public RDFSDatatype getXSDbyte()

  Description copied from interface: `OWLModel`
  Gets the default datatype for byte values.

  Specified by:
    `getXSDbyte` in interface `OWLModel`
  Returns:
    xsd:byte

### getXSDstring

    public RDFSDatatype getXSDstring()

  Description copied from interface: `OWLModel`
  Gets the default datatype for string values.

  Specified by:
    `getXSDstring` in interface `OWLModel`
  Returns:
    xsd:string

### getXSDbase64Binary

    public RDFSDatatype getXSDbase64Binary()

  Description copied from interface: `OWLModel`
  Gets the default datatype for byte[] values.

  Specified by:
    `getXSDbase64Binary` in interface `OWLModel`
  Returns:
    xsd:base64Binary

### getXSDdate

    public RDFSDatatype getXSDdate()

  Description copied from interface: `OWLModel`
  Gets the default datatype for date values.

  Specified by:
    `getXSDdate` in interface `OWLModel`
  Returns:
    xsd:date

### getXSDtime

    public RDFSDatatype getXSDtime()

  Description copied from interface: `OWLModel`
  Gets the default datatype for time values.

  Specified by:
    `getXSDtime` in interface `OWLModel`
  Returns:
    xsd:time

### getXSDdateTime

    public RDFSDatatype getXSDdateTime()

  Description copied from interface: `OWLModel`
  Gets the default datatype for timestamp values.

  Specified by:
    `getXSDdateTime` in interface `OWLModel`
  Returns:
    xsd:dateTime

### getXSDduration

    public RDFSDatatype getXSDduration()

  Description copied from interface: `OWLModel`
  Gets the datatype for duration values.

  Specified by:
    `getXSDduration` in interface `OWLModel`
  Returns:
    xsd:duration

### getXSDanyURI

    public RDFSDatatype getXSDanyURI()

  Description copied from interface: `OWLModel`
  Gets the default datatype for URI values.

  Specified by:
    `getXSDanyURI` in interface `OWLModel`
  Returns:
    xsd:anyURI

### getXSDdecimal

    public RDFSDatatype getXSDdecimal()

  Description copied from interface: `OWLModel`
  Gets the default datatype for BigDecimal values.

  Specified by:
    `getXSDdecimal` in interface `OWLModel`
  Returns:
    xsd:decimal

### getXSDinteger

    public RDFSDatatype getXSDinteger()

  Description copied from interface: `OWLModel`
  Gets the default datatype for BigInteger values.

  Specified by:
    `getXSDinteger` in interface `OWLModel`
  Returns:
    xsd:integer

### getRDFXMLLiteralType

    public RDFSDatatype getRDFXMLLiteralType()

  Description copied from interface: `OWLModel`
  Gets the resource representing the datatype rdf:XMLLiteral.

  Specified by:
    `getRDFXMLLiteralType` in interface `OWLModel`
  Returns:
    rdf:XMLLiteral

### isExpandShortNameInMethods

    public boolean isExpandShortNameInMethods()

  Specified by:
    `isExpandShortNameInMethods` in interface `OWLModel`

### setExpandShortNameInMethods

    public void setExpandShortNameInMethods(boolean expandShortNameInMethods)

  Specified by:
    `setExpandShortNameInMethods` in interface `OWLModel`

### getProtegeSubclassesDisjointProperty

    public RDFProperty getProtegeSubclassesDisjointProperty()

  Specified by:
    `getProtegeSubclassesDisjointProperty` in interface `OWLModel`
  Returns:
    the Slot OWLNames.Slot.SUBCLASSES_DISJOINT

### getWriterSettings

    public WriterSettings getWriterSettings()

  Specified by:
    `getWriterSettings` in interface `OWLModel`

### setWriterSettings

    public void setWriterSettings(WriterSettings writerSettings)

  Specified by:
    `setWriterSettings` in interface `OWLModel`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`
  Overrides:
    `dispose` in class `edu.stanford.smi.protege.model.DefaultKnowledgeBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.